(set-info :smt-lib-version 2.6)
(set-logic AUFLIRA)
(set-info :source |
NASA benchmarks from "Using Automated Theorem Provers to Certify Auto-generated
Aerospace Software", IJCAR 2004.  Translated from TPTP format by Yeting Ge and
Clark Barrett

|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun def () Real)
(declare-fun dv_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun h_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun init () Real)
(declare-fun phi_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun pminus_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun q_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun r_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun use () Real)
(declare-fun xhatmin_ds1_filter_init () (Array Int (Array Int Real)))
(declare-fun uniform_int_rnd (Int Int) Int)
(declare-fun abs_ (Real) Real)
(declare-fun log (Real) Real)
(declare-fun exp (Real) Real)
(declare-fun cos (Real) Real)
(declare-fun sin (Real) Real)
(declare-fun sqrt (Real) Real)
(declare-fun divide (Real Real) Real)
(declare-fun cond (Int Real Real) Real)
(declare-fun tptp_term_equal (Real Real) Int)
(declare-fun tptp_term_equals (Real Real) Int)
(declare-fun tptp_term_and (Real Real) Int)
(declare-fun sum (Int Int Real) Real)
(declare-fun dim (Int Int) Int)
(declare-fun trans ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun inv ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_mmul ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_madd ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_msub ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_const_array1 (Int Real) (Array Int Real))
(declare-fun tptp_const_array2 (Int Int Real) (Array Int (Array Int Real)))
(assert (forall ((?X_0 Int) (?C_1 Int)) (=> (>= ?X_0 0) (<= (uniform_int_rnd ?C_1 ?X_0) ?X_0))))
(assert (forall ((?X_2 Int) (?C_3 Int)) (=> (>= ?X_2 0) (>= (uniform_int_rnd ?C_3 ?X_2) 0))))
(assert (forall ((?I_4 Int) (?L_5 Int) (?U_6 Int) (?Val_7 Real)) (=> (and (<= ?L_5 ?I_4) (<= ?I_4 ?U_6)) (= (select (tptp_const_array1 (dim ?L_5 ?U_6) ?Val_7) ?I_4) ?Val_7))))
(assert (forall ((?I_8 Int) (?L1_9 Int) (?U1_10 Int) (?J_11 Int) (?L2_12 Int) (?U2_13 Int) (?Val_14 Real)) (=> (and (and (and (<= ?L1_9 ?I_8) (<= ?I_8 ?U1_10)) (<= ?L2_12 ?J_11)) (<= ?J_11 ?U2_13)) (= (select (select (tptp_const_array2 (dim ?L1_9 ?U1_10) (dim ?L2_12 ?U2_13) ?Val_14) ?I_8) ?J_11) ?Val_14))))
(assert (forall ((?I0_15 Int) (?J0_16 Int) (?A_17 (Array Int (Array Int Real))) (?B_18 (Array Int (Array Int Real))) (?N_19 Int)) (let ((?v_0 (tptp_mmul ?A_17 (tptp_mmul ?B_18 (trans ?A_17))))) (=> (and (and (and (and (>= ?I0_15 0) (<= ?I0_15 ?N_19)) (>= ?J0_16 0)) (<= ?J0_16 ?N_19)) (= (select (select ?B_18 ?I0_15) ?J0_16) (select (select ?B_18 ?J0_16) ?I0_15))) (= (select (select ?v_0 ?I0_15) ?J0_16) (select (select ?v_0 ?J0_16) ?I0_15))))))
(assert (forall ((?I0_20 Int) (?J0_21 Int) (?I_22 Int) (?J_23 Int) (?A_24 (Array Int (Array Int Real))) (?B_25 (Array Int (Array Int Real))) (?N_26 Int) (?M_27 Int)) (let ((?v_0 (tptp_mmul ?A_24 (tptp_mmul ?B_25 (trans ?A_24))))) (=> (and (and (and (and (and (and (and (and (>= ?I0_20 0) (<= ?I0_20 ?N_26)) (>= ?J0_21 0)) (<= ?J0_21 ?N_26)) (>= ?I_22 0)) (<= ?I_22 ?M_27)) (>= ?J_23 0)) (<= ?J_23 ?M_27)) (= (select (select ?B_25 ?I_22) ?J_23) (select (select ?B_25 ?J_23) ?I_22))) (= (select (select ?v_0 ?I0_20) ?J0_21) (select (select ?v_0 ?J0_21) ?I0_20))))))
(assert (forall ((?I_28 Int) (?J_29 Int) (?A_30 (Array Int (Array Int Real))) (?B_31 (Array Int (Array Int Real))) (?N_32 Int)) (let ((?v_0 (tptp_madd ?A_30 ?B_31))) (=> (and (and (and (and (and (>= ?I_28 0) (<= ?I_28 ?N_32)) (>= ?J_29 0)) (<= ?J_29 ?N_32)) (= (select (select ?A_30 ?I_28) ?J_29) (select (select ?A_30 ?J_29) ?I_28))) (= (select (select ?B_31 ?I_28) ?J_29) (select (select ?B_31 ?J_29) ?I_28))) (= (select (select ?v_0 ?I_28) ?J_29) (select (select ?v_0 ?J_29) ?I_28))))))
(assert (forall ((?I_33 Int) (?J_34 Int) (?A_35 (Array Int (Array Int Real))) (?B_36 (Array Int (Array Int Real))) (?N_37 Int)) (let ((?v_0 (tptp_msub ?A_35 ?B_36))) (=> (and (and (and (and (and (>= ?I_33 0) (<= ?I_33 ?N_37)) (>= ?J_34 0)) (<= ?J_34 ?N_37)) (= (select (select ?A_35 ?I_33) ?J_34) (select (select ?A_35 ?J_34) ?I_33))) (= (select (select ?B_36 ?I_33) ?J_34) (select (select ?B_36 ?J_34) ?I_33))) (= (select (select ?v_0 ?I_33) ?J_34) (select (select ?v_0 ?J_34) ?I_33))))))
(assert (forall ((?I_38 Int) (?J_39 Int) (?A_40 (Array Int (Array Int Real))) (?N_41 Int)) (let ((?v_0 (trans ?A_40))) (=> (and (and (and (and (>= ?I_38 0) (<= ?I_38 ?N_41)) (>= ?J_39 0)) (<= ?J_39 ?N_41)) (= (select (select ?A_40 ?I_38) ?J_39) (select (select ?A_40 ?J_39) ?I_38))) (= (select (select ?v_0 ?I_38) ?J_39) (select (select ?v_0 ?J_39) ?I_38))))))
(assert (forall ((?I_42 Int) (?J_43 Int) (?A_44 (Array Int (Array Int Real))) (?N_45 Int)) (let ((?v_0 (inv ?A_44))) (=> (and (and (and (and (>= ?I_42 0) (<= ?I_42 ?N_45)) (>= ?J_43 0)) (<= ?J_43 ?N_45)) (= (select (select ?A_44 ?I_42) ?J_43) (select (select ?A_44 ?J_43) ?I_42))) (= (select (select ?v_0 ?I_42) ?J_43) (select (select ?v_0 ?J_43) ?I_42))))))
(assert (forall ((?I0_46 Int) (?J0_47 Int) (?I_48 Int) (?J_49 Int) (?A_50 (Array Int (Array Int Real))) (?B_51 (Array Int (Array Int Real))) (?C_52 (Array Int (Array Int Real))) (?D_53 (Array Int (Array Int Real))) (?E_54 (Array Int (Array Int Real))) (?F_55 (Array Int (Array Int Real))) (?N_56 Int) (?M_57 Int)) (let ((?v_0 (tptp_madd ?A_50 (tptp_mmul ?B_51 (tptp_mmul (tptp_madd (tptp_mmul ?C_52 (tptp_mmul ?D_53 (trans ?C_52))) (tptp_mmul ?E_54 (tptp_mmul ?F_55 (trans ?E_54)))) (trans ?B_51)))))) (=> (and (and (and (and (and (and (and (and (and (and (>= ?I0_46 0) (<= ?I0_46 ?N_56)) (>= ?J0_47 0)) (<= ?J0_47 ?N_56)) (>= ?I_48 0)) (<= ?I_48 ?M_57)) (>= ?J_49 0)) (<= ?J_49 ?M_57)) (= (select (select ?D_53 ?I_48) ?J_49) (select (select ?D_53 ?J_49) ?I_48))) (= (select (select ?A_50 ?I0_46) ?J0_47) (select (select ?A_50 ?J0_47) ?I0_46))) (= (select (select ?F_55 ?I0_46) ?J0_47) (select (select ?F_55 ?J0_47) ?I0_46))) (= (select (select ?v_0 ?I0_46) ?J0_47) (select (select ?v_0 ?J0_47) ?I0_46))))))
(assert (forall ((?Body_58 Real)) (= (sum 0 (- 1) ?Body_58) 0.0)))
(assert (not (= def use)))
(assert (not (=> (and (and (and (and (and (forall ((?A_59 Int) (?B_60 Int)) (=> (and (and (and (>= ?A_59 0) (>= ?B_60 0)) (<= ?A_59 2)) (<= ?B_60 5)) (= (select (select h_ds1_filter_init ?A_59) ?B_60) init))) (forall ((?C_61 Int) (?D_62 Int)) (=> (and (and (and (>= ?C_61 0) (>= ?D_62 0)) (<= ?C_61 5)) (<= ?D_62 5)) (= (select (select phi_ds1_filter_init ?C_61) ?D_62) init)))) (forall ((?E_63 Int) (?F_64 Int)) (=> (and (and (and (>= ?E_63 0) (>= ?F_64 0)) (<= ?E_63 (- 6 1))) (<= ?F_64 0)) (= (select (select dv_ds1_filter_init ?E_63) ?F_64) init)))) (forall ((?G_65 Int) (?H_66 Int)) (=> (and (and (and (>= ?G_65 0) (>= ?H_66 0)) (<= ?G_65 5)) (<= ?H_66 5)) (= (select (select q_ds1_filter_init ?G_65) ?H_66) init)))) (forall ((?I_67 Int) (?J_68 Int)) (=> (and (and (and (>= ?I_67 0) (>= ?J_68 0)) (<= ?I_67 2)) (<= ?J_68 2)) (= (select (select r_ds1_filter_init ?I_67) ?J_68) init)))) (forall ((?K_69 Int) (?L_70 Int)) (=> (and (and (and (>= ?K_69 0) (>= ?L_70 0)) (<= ?K_69 5)) (<= ?L_70 0)) (= (select (select xhatmin_ds1_filter_init ?K_69) ?L_70) init)))) (forall ((?M_71 Int) (?N_72 Int)) (let ((?v_0 (store pminus_ds1_filter_init 0 (store (select pminus_ds1_filter_init 0) 0 init)))) (let ((?v_1 (store ?v_0 0 (store (select ?v_0 0) 1 init)))) (let ((?v_2 (store ?v_1 0 (store (select ?v_1 0) 2 init)))) (let ((?v_3 (store ?v_2 0 (store (select ?v_2 0) 3 init)))) (let ((?v_4 (store ?v_3 0 (store (select ?v_3 0) 4 init)))) (let ((?v_5 (store ?v_4 0 (store (select ?v_4 0) 5 init)))) (let ((?v_6 (store ?v_5 1 (store (select ?v_5 1) 0 init)))) (let ((?v_7 (store ?v_6 1 (store (select ?v_6 1) 1 init)))) (let ((?v_8 (store ?v_7 1 (store (select ?v_7 1) 2 init)))) (let ((?v_9 (store ?v_8 1 (store (select ?v_8 1) 3 init)))) (let ((?v_10 (store ?v_9 1 (store (select ?v_9 1) 4 init)))) (let ((?v_11 (store ?v_10 1 (store (select ?v_10 1) 5 init)))) (let ((?v_12 (store ?v_11 2 (store (select ?v_11 2) 0 init)))) (let ((?v_13 (store ?v_12 2 (store (select ?v_12 2) 1 init)))) (let ((?v_14 (store ?v_13 2 (store (select ?v_13 2) 2 init)))) (let ((?v_15 (store ?v_14 2 (store (select ?v_14 2) 3 init)))) (let ((?v_16 (store ?v_15 2 (store (select ?v_15 2) 4 init)))) (let ((?v_17 (store ?v_16 2 (store (select ?v_16 2) 5 init)))) (let ((?v_18 (store ?v_17 3 (store (select ?v_17 3) 0 init)))) (let ((?v_19 (store ?v_18 3 (store (select ?v_18 3) 1 init)))) (let ((?v_20 (store ?v_19 3 (store (select ?v_19 3) 2 init)))) (let ((?v_21 (store ?v_20 3 (store (select ?v_20 3) 3 init)))) (let ((?v_22 (store ?v_21 3 (store (select ?v_21 3) 4 init)))) (let ((?v_23 (store ?v_22 3 (store (select ?v_22 3) 5 init)))) (let ((?v_24 (store ?v_23 4 (store (select ?v_23 4) 0 init)))) (let ((?v_25 (store ?v_24 4 (store (select ?v_24 4) 1 init)))) (let ((?v_26 (store ?v_25 4 (store (select ?v_25 4) 2 init)))) (let ((?v_27 (store ?v_26 4 (store (select ?v_26 4) 3 init)))) (let ((?v_28 (store ?v_27 4 (store (select ?v_27 4) 4 init)))) (let ((?v_29 (store ?v_28 4 (store (select ?v_28 4) 5 init)))) (let ((?v_30 (store ?v_29 5 (store (select ?v_29 5) 0 init)))) (let ((?v_31 (store ?v_30 5 (store (select ?v_30 5) 1 init)))) (let ((?v_32 (store ?v_31 5 (store (select ?v_31 5) 2 init)))) (let ((?v_33 (store ?v_32 5 (store (select ?v_32 5) 3 init)))) (let ((?v_34 (store ?v_33 5 (store (select ?v_33 5) 4 init)))) (=> (and (and (and (>= ?M_71 0) (>= ?N_72 0)) (<= ?M_71 5)) (<= ?N_72 5)) (= (select (select (store ?v_34 5 (store (select ?v_34 5) 5 init)) ?M_71) ?N_72) init)))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
