(set-info :smt-lib-version 2.6)
(set-logic AUFLIRA)
(set-info :source |
NASA benchmarks from "Using Automated Theorem Provers to Certify Auto-generated
Aerospace Software", IJCAR 2004.  Translated from TPTP format by Yeting Ge and
Clark Barrett

|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun def () Real)
(declare-fun init () Real)
(declare-fun loopcounter () Int)
(declare-fun pv1400 () Real)
(declare-fun pv1401 () Real)
(declare-fun pv1402 () Real)
(declare-fun pv1403 () Real)
(declare-fun pv1422 () Real)
(declare-fun pvar1400_init () Real)
(declare-fun pvar1401_init () Real)
(declare-fun pvar1402_init () Real)
(declare-fun s_best7 () Int)
(declare-fun s_best7_init () Real)
(declare-fun s_center7_init () (Array Int Real))
(declare-fun s_sworst7 () Int)
(declare-fun s_sworst7_init () Real)
(declare-fun s_try7_init () (Array Int Real))
(declare-fun s_trysave7 () Real)
(declare-fun s_values7 () (Array Int Real))
(declare-fun s_values7_init () (Array Int Real))
(declare-fun s_worst7 () Int)
(declare-fun s_worst7_init () Real)
(declare-fun simplex7_init () (Array Int (Array Int Real)))
(declare-fun tptp_float_0_001 () Real)
(declare-fun use () Real)
(declare-fun uniform_int_rnd (Int Int) Int)
(declare-fun abs_ (Real) Real)
(declare-fun log (Real) Real)
(declare-fun exp (Real) Real)
(declare-fun cos (Real) Real)
(declare-fun sin (Real) Real)
(declare-fun sqrt (Real) Real)
(declare-fun divide (Real Real) Real)
(declare-fun cond (Int Real Real) Real)
(declare-fun tptp_term_equal (Real Real) Int)
(declare-fun tptp_term_equals (Real Real) Int)
(declare-fun tptp_term_and (Real Real) Int)
(declare-fun sum (Int Int Real) Real)
(declare-fun dim (Int Int) Int)
(declare-fun trans ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun inv ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_mmul ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_madd ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_msub ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_const_array1 (Int Real) (Array Int Real))
(declare-fun tptp_const_array2 (Int Int Real) (Array Int (Array Int Real)))
(assert (forall ((?X_0 Int) (?C_1 Int)) (=> (>= ?X_0 0) (<= (uniform_int_rnd ?C_1 ?X_0) ?X_0))))
(assert (forall ((?X_2 Int) (?C_3 Int)) (=> (>= ?X_2 0) (>= (uniform_int_rnd ?C_3 ?X_2) 0))))
(assert (forall ((?I_4 Int) (?L_5 Int) (?U_6 Int) (?Val_7 Real)) (=> (and (<= ?L_5 ?I_4) (<= ?I_4 ?U_6)) (= (select (tptp_const_array1 (dim ?L_5 ?U_6) ?Val_7) ?I_4) ?Val_7))))
(assert (forall ((?I_8 Int) (?L1_9 Int) (?U1_10 Int) (?J_11 Int) (?L2_12 Int) (?U2_13 Int) (?Val_14 Real)) (=> (and (and (and (<= ?L1_9 ?I_8) (<= ?I_8 ?U1_10)) (<= ?L2_12 ?J_11)) (<= ?J_11 ?U2_13)) (= (select (select (tptp_const_array2 (dim ?L1_9 ?U1_10) (dim ?L2_12 ?U2_13) ?Val_14) ?I_8) ?J_11) ?Val_14))))
(assert (forall ((?I0_15 Int) (?J0_16 Int) (?A_17 (Array Int (Array Int Real))) (?B_18 (Array Int (Array Int Real))) (?N_19 Int)) (let ((?v_0 (tptp_mmul ?A_17 (tptp_mmul ?B_18 (trans ?A_17))))) (=> (and (and (and (and (>= ?I0_15 0) (<= ?I0_15 ?N_19)) (>= ?J0_16 0)) (<= ?J0_16 ?N_19)) (= (select (select ?B_18 ?I0_15) ?J0_16) (select (select ?B_18 ?J0_16) ?I0_15))) (= (select (select ?v_0 ?I0_15) ?J0_16) (select (select ?v_0 ?J0_16) ?I0_15))))))
(assert (forall ((?I0_20 Int) (?J0_21 Int) (?I_22 Int) (?J_23 Int) (?A_24 (Array Int (Array Int Real))) (?B_25 (Array Int (Array Int Real))) (?N_26 Int) (?M_27 Int)) (let ((?v_0 (tptp_mmul ?A_24 (tptp_mmul ?B_25 (trans ?A_24))))) (=> (and (and (and (and (and (and (and (and (>= ?I0_20 0) (<= ?I0_20 ?N_26)) (>= ?J0_21 0)) (<= ?J0_21 ?N_26)) (>= ?I_22 0)) (<= ?I_22 ?M_27)) (>= ?J_23 0)) (<= ?J_23 ?M_27)) (= (select (select ?B_25 ?I_22) ?J_23) (select (select ?B_25 ?J_23) ?I_22))) (= (select (select ?v_0 ?I0_20) ?J0_21) (select (select ?v_0 ?J0_21) ?I0_20))))))
(assert (forall ((?I_28 Int) (?J_29 Int) (?A_30 (Array Int (Array Int Real))) (?B_31 (Array Int (Array Int Real))) (?N_32 Int)) (let ((?v_0 (tptp_madd ?A_30 ?B_31))) (=> (and (and (and (and (and (>= ?I_28 0) (<= ?I_28 ?N_32)) (>= ?J_29 0)) (<= ?J_29 ?N_32)) (= (select (select ?A_30 ?I_28) ?J_29) (select (select ?A_30 ?J_29) ?I_28))) (= (select (select ?B_31 ?I_28) ?J_29) (select (select ?B_31 ?J_29) ?I_28))) (= (select (select ?v_0 ?I_28) ?J_29) (select (select ?v_0 ?J_29) ?I_28))))))
(assert (forall ((?I_33 Int) (?J_34 Int) (?A_35 (Array Int (Array Int Real))) (?B_36 (Array Int (Array Int Real))) (?N_37 Int)) (let ((?v_0 (tptp_msub ?A_35 ?B_36))) (=> (and (and (and (and (and (>= ?I_33 0) (<= ?I_33 ?N_37)) (>= ?J_34 0)) (<= ?J_34 ?N_37)) (= (select (select ?A_35 ?I_33) ?J_34) (select (select ?A_35 ?J_34) ?I_33))) (= (select (select ?B_36 ?I_33) ?J_34) (select (select ?B_36 ?J_34) ?I_33))) (= (select (select ?v_0 ?I_33) ?J_34) (select (select ?v_0 ?J_34) ?I_33))))))
(assert (forall ((?I_38 Int) (?J_39 Int) (?A_40 (Array Int (Array Int Real))) (?N_41 Int)) (let ((?v_0 (trans ?A_40))) (=> (and (and (and (and (>= ?I_38 0) (<= ?I_38 ?N_41)) (>= ?J_39 0)) (<= ?J_39 ?N_41)) (= (select (select ?A_40 ?I_38) ?J_39) (select (select ?A_40 ?J_39) ?I_38))) (= (select (select ?v_0 ?I_38) ?J_39) (select (select ?v_0 ?J_39) ?I_38))))))
(assert (forall ((?I_42 Int) (?J_43 Int) (?A_44 (Array Int (Array Int Real))) (?N_45 Int)) (let ((?v_0 (inv ?A_44))) (=> (and (and (and (and (>= ?I_42 0) (<= ?I_42 ?N_45)) (>= ?J_43 0)) (<= ?J_43 ?N_45)) (= (select (select ?A_44 ?I_42) ?J_43) (select (select ?A_44 ?J_43) ?I_42))) (= (select (select ?v_0 ?I_42) ?J_43) (select (select ?v_0 ?J_43) ?I_42))))))
(assert (forall ((?I0_46 Int) (?J0_47 Int) (?I_48 Int) (?J_49 Int) (?A_50 (Array Int (Array Int Real))) (?B_51 (Array Int (Array Int Real))) (?C_52 (Array Int (Array Int Real))) (?D_53 (Array Int (Array Int Real))) (?E_54 (Array Int (Array Int Real))) (?F_55 (Array Int (Array Int Real))) (?N_56 Int) (?M_57 Int)) (let ((?v_0 (tptp_madd ?A_50 (tptp_mmul ?B_51 (tptp_mmul (tptp_madd (tptp_mmul ?C_52 (tptp_mmul ?D_53 (trans ?C_52))) (tptp_mmul ?E_54 (tptp_mmul ?F_55 (trans ?E_54)))) (trans ?B_51)))))) (=> (and (and (and (and (and (and (and (and (and (and (>= ?I0_46 0) (<= ?I0_46 ?N_56)) (>= ?J0_47 0)) (<= ?J0_47 ?N_56)) (>= ?I_48 0)) (<= ?I_48 ?M_57)) (>= ?J_49 0)) (<= ?J_49 ?M_57)) (= (select (select ?D_53 ?I_48) ?J_49) (select (select ?D_53 ?J_49) ?I_48))) (= (select (select ?A_50 ?I0_46) ?J0_47) (select (select ?A_50 ?J0_47) ?I0_46))) (= (select (select ?F_55 ?I0_46) ?J0_47) (select (select ?F_55 ?J0_47) ?I0_46))) (= (select (select ?v_0 ?I0_46) ?J0_47) (select (select ?v_0 ?J0_47) ?I0_46))))))
(assert (forall ((?Body_58 Real)) (= (sum 0 (- 1) ?Body_58) 0.0)))
(assert (not (= def use)))
(assert (let ((?v_1 2.0) (?v_9 (= s_best7_init init)) (?v_10 (= s_sworst7_init init)) (?v_0 (= s_worst7_init init)) (?v_19 (>= s_best7 0)) (?v_20 (>= s_sworst7 0)) (?v_21 (>= s_worst7 0)) (?v_22 (<= s_best7 3)) (?v_23 (<= s_sworst7 3)) (?v_24 (<= s_worst7 3))) (let ((?v_5 (and (and (and (and (and (and (and (and ?v_9 ?v_10) ?v_0) ?v_19) ?v_20) ?v_21) ?v_22) ?v_23) ?v_24)) (?v_4 (> loopcounter 1)) (?v_8 (and (and (= pvar1400_init init) (= pvar1401_init init)) (= pvar1402_init init)))) (let ((?v_17 (=> ?v_4 ?v_8)) (?v_2 (= init init)) (?v_7 (= (select s_values7_init s_worst7) init)) (?v_13 (select s_values7 s_worst7)) (?v_6 (> loopcounter 0))) (let ((?v_14 (=> ?v_6 ?v_5)) (?v_11 (= (select s_values7_init s_best7) init)) (?v_12 (= (select s_values7_init s_sworst7) init))) (let ((?v_15 (=> ?v_6 (and (and ?v_11 ?v_12) ?v_7))) (?v_3 (+ (log ?v_1) (divide (- (- (- (+ (log 330.0) (log 410.0)) (log pv1422)) 1.0) (log 4.0)) ?v_1)))) (let ((?v_18 (> ?v_3 ?v_13)) (?v_16 (<= ?v_3 s_trysave7))) (not (=> (and (and (and (and (and ?v_5 (forall ((?A_59 Int)) (=> (and (>= ?A_59 0) (<= ?A_59 2)) (forall ((?B_60 Int)) (=> (and (>= ?B_60 0) (<= ?B_60 3)) (= (select (select simplex7_init ?B_60) ?A_59) init)))))) (forall ((?C_61 Int)) (=> (and (>= ?C_61 0) (<= ?C_61 3)) (= (select s_values7_init ?C_61) init)))) (forall ((?D_62 Int)) (=> (and (>= ?D_62 0) (<= ?D_62 2)) (= (select s_center7_init ?D_62) init)))) (forall ((?E_63 Int)) (=> (and (>= ?E_63 0) (<= ?E_63 (- 3 1))) (= (select s_try7_init ?E_63) init)))) ?v_17) (and (and (and (and ?v_2 ?v_0) ?v_7) (=> (not ?v_18) (and (and ?v_2 (=> (not ?v_16) (and (and ?v_2 (=> (not ?v_4) (and (and (and (and (forall ((?F_64 Int)) (=> (and (>= ?F_64 0) (<= ?F_64 2)) (forall ((?G_65 Int)) (=> (and (>= ?G_65 0) (<= ?G_65 3)) (= (select (select simplex7_init ?G_65) ?F_64) init))))) (forall ((?H_66 Int)) (=> (and (>= ?H_66 0) (<= ?H_66 3)) (= (select s_values7_init ?H_66) init)))) (=> (not (>= pv1403 tptp_float_0_001)) ?v_5)) ?v_14) ?v_15))) (=> ?v_4 (and (and (and (and (and (and (and (and (and (and (and ?v_8 ?v_9) ?v_10) ?v_0) ?v_11) ?v_12) ?v_7) (forall ((?I_67 Int)) (=> (and (>= ?I_67 0) (<= ?I_67 2)) (forall ((?J_68 Int)) (=> (and (>= ?J_68 0) (<= ?J_68 3)) (= (select (select simplex7_init ?J_68) ?I_67) init)))))) (forall ((?K_69 Int)) (=> (and (>= ?K_69 0) (<= ?K_69 3)) (= (select s_values7_init ?K_69) init)))) (=> (not (>= (+ (abs_ (- (select s_values7 s_best7) pv1400)) (+ (abs_ (- (select s_values7 s_sworst7) pv1401)) (abs_ (- ?v_13 pv1402)))) tptp_float_0_001)) ?v_5)) ?v_14) ?v_15))))) (=> ?v_16 (and (and (and (and (and ?v_5 (forall ((?L_70 Int)) (=> (and (>= ?L_70 0) (<= ?L_70 2)) (forall ((?M_71 Int)) (=> (and (>= ?M_71 0) (<= ?M_71 3)) (= (select (select simplex7_init ?M_71) ?L_70) init)))))) (forall ((?N_72 Int)) (=> (and (>= ?N_72 0) (<= ?N_72 3)) (= (select s_values7_init ?N_72) init)))) (forall ((?O_73 Int)) (=> (and (>= ?O_73 0) (<= ?O_73 2)) (= (select s_center7_init ?O_73) init)))) (forall ((?P_74 Int)) (=> (and (>= ?P_74 0) (<= ?P_74 (- 3 1))) (= (select s_try7_init ?P_74) init)))) ?v_17))))) (=> ?v_18 (and (and (and (and (and (and (and (and (and (and (and (and (and (and ?v_2 ?v_9) ?v_10) ?v_0) ?v_19) ?v_20) ?v_21) ?v_22) ?v_23) ?v_24) (forall ((?Q_75 Int)) (=> (and (>= ?Q_75 0) (<= ?Q_75 2)) (forall ((?R_76 Int)) (=> (and (>= ?R_76 0) (<= ?R_76 3)) (= (select (select simplex7_init ?R_76) ?Q_75) init)))))) (forall ((?S_77 Int)) (=> (and (>= ?S_77 0) (<= ?S_77 3)) (= (select (store s_values7_init s_worst7 init) ?S_77) init)))) (forall ((?T_78 Int)) (=> (and (>= ?T_78 0) (<= ?T_78 2)) (= (select s_center7_init ?T_78) init)))) (forall ((?U_79 Int)) (=> (and (>= ?U_79 0) (<= ?U_79 (- 3 1))) (= (select s_try7_init ?U_79) init)))) ?v_17))))))))))))
(check-sat)
(exit)
