(set-info :smt-lib-version 2.6)
(set-logic AUFLIRA)
(set-info :source |
NASA benchmarks from "Using Automated Theorem Provers to Certify Auto-generated
Aerospace Software", IJCAR 2004.  Translated from TPTP format by Yeting Ge and
Clark Barrett

|)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun def () Real)
(declare-fun pv5 () Int)
(declare-fun rho_defuse () (Array Int Real))
(declare-fun sigma_defuse () (Array Int Real))
(declare-fun u_defuse () (Array Int (Array Int Real)))
(declare-fun use () Real)
(declare-fun xinit_defuse () (Array Int Real))
(declare-fun xinit_mean_defuse () (Array Int Real))
(declare-fun xinit_noise_defuse () (Array Int Real))
(declare-fun z_defuse () (Array Int (Array Int Real)))
(declare-fun uniform_int_rnd (Int Int) Int)
(declare-fun abs_ (Real) Real)
(declare-fun log (Real) Real)
(declare-fun exp (Real) Real)
(declare-fun cos (Real) Real)
(declare-fun sin (Real) Real)
(declare-fun sqrt (Real) Real)
(declare-fun divide (Real Real) Real)
(declare-fun cond (Int Real Real) Real)
(declare-fun tptp_term_equal (Real Real) Int)
(declare-fun tptp_term_equals (Real Real) Int)
(declare-fun tptp_term_and (Real Real) Int)
(declare-fun sum (Int Int Real) Real)
(declare-fun dim (Int Int) Int)
(declare-fun trans ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun inv ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_mmul ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_madd ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_msub ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_const_array1 (Int Real) (Array Int Real))
(declare-fun tptp_const_array2 (Int Int Real) (Array Int (Array Int Real)))
(assert (forall ((?X_0 Int) (?C_1 Int)) (=> (>= ?X_0 0) (<= (uniform_int_rnd ?C_1 ?X_0) ?X_0))))
(assert (forall ((?X_2 Int) (?C_3 Int)) (=> (>= ?X_2 0) (>= (uniform_int_rnd ?C_3 ?X_2) 0))))
(assert (forall ((?I_4 Int) (?L_5 Int) (?U_6 Int) (?Val_7 Real)) (=> (and (<= ?L_5 ?I_4) (<= ?I_4 ?U_6)) (= (select (tptp_const_array1 (dim ?L_5 ?U_6) ?Val_7) ?I_4) ?Val_7))))
(assert (forall ((?I_8 Int) (?L1_9 Int) (?U1_10 Int) (?J_11 Int) (?L2_12 Int) (?U2_13 Int) (?Val_14 Real)) (=> (and (and (and (<= ?L1_9 ?I_8) (<= ?I_8 ?U1_10)) (<= ?L2_12 ?J_11)) (<= ?J_11 ?U2_13)) (= (select (select (tptp_const_array2 (dim ?L1_9 ?U1_10) (dim ?L2_12 ?U2_13) ?Val_14) ?I_8) ?J_11) ?Val_14))))
(assert (forall ((?I0_15 Int) (?J0_16 Int) (?A_17 (Array Int (Array Int Real))) (?B_18 (Array Int (Array Int Real))) (?N_19 Int)) (let ((?v_0 (tptp_mmul ?A_17 (tptp_mmul ?B_18 (trans ?A_17))))) (=> (and (and (and (and (>= ?I0_15 0) (<= ?I0_15 ?N_19)) (>= ?J0_16 0)) (<= ?J0_16 ?N_19)) (= (select (select ?B_18 ?I0_15) ?J0_16) (select (select ?B_18 ?J0_16) ?I0_15))) (= (select (select ?v_0 ?I0_15) ?J0_16) (select (select ?v_0 ?J0_16) ?I0_15))))))
(assert (forall ((?I0_20 Int) (?J0_21 Int) (?I_22 Int) (?J_23 Int) (?A_24 (Array Int (Array Int Real))) (?B_25 (Array Int (Array Int Real))) (?N_26 Int) (?M_27 Int)) (let ((?v_0 (tptp_mmul ?A_24 (tptp_mmul ?B_25 (trans ?A_24))))) (=> (and (and (and (and (and (and (and (and (>= ?I0_20 0) (<= ?I0_20 ?N_26)) (>= ?J0_21 0)) (<= ?J0_21 ?N_26)) (>= ?I_22 0)) (<= ?I_22 ?M_27)) (>= ?J_23 0)) (<= ?J_23 ?M_27)) (= (select (select ?B_25 ?I_22) ?J_23) (select (select ?B_25 ?J_23) ?I_22))) (= (select (select ?v_0 ?I0_20) ?J0_21) (select (select ?v_0 ?J0_21) ?I0_20))))))
(assert (forall ((?I_28 Int) (?J_29 Int) (?A_30 (Array Int (Array Int Real))) (?B_31 (Array Int (Array Int Real))) (?N_32 Int)) (let ((?v_0 (tptp_madd ?A_30 ?B_31))) (=> (and (and (and (and (and (>= ?I_28 0) (<= ?I_28 ?N_32)) (>= ?J_29 0)) (<= ?J_29 ?N_32)) (= (select (select ?A_30 ?I_28) ?J_29) (select (select ?A_30 ?J_29) ?I_28))) (= (select (select ?B_31 ?I_28) ?J_29) (select (select ?B_31 ?J_29) ?I_28))) (= (select (select ?v_0 ?I_28) ?J_29) (select (select ?v_0 ?J_29) ?I_28))))))
(assert (forall ((?I_33 Int) (?J_34 Int) (?A_35 (Array Int (Array Int Real))) (?B_36 (Array Int (Array Int Real))) (?N_37 Int)) (let ((?v_0 (tptp_msub ?A_35 ?B_36))) (=> (and (and (and (and (and (>= ?I_33 0) (<= ?I_33 ?N_37)) (>= ?J_34 0)) (<= ?J_34 ?N_37)) (= (select (select ?A_35 ?I_33) ?J_34) (select (select ?A_35 ?J_34) ?I_33))) (= (select (select ?B_36 ?I_33) ?J_34) (select (select ?B_36 ?J_34) ?I_33))) (= (select (select ?v_0 ?I_33) ?J_34) (select (select ?v_0 ?J_34) ?I_33))))))
(assert (forall ((?I_38 Int) (?J_39 Int) (?A_40 (Array Int (Array Int Real))) (?N_41 Int)) (let ((?v_0 (trans ?A_40))) (=> (and (and (and (and (>= ?I_38 0) (<= ?I_38 ?N_41)) (>= ?J_39 0)) (<= ?J_39 ?N_41)) (= (select (select ?A_40 ?I_38) ?J_39) (select (select ?A_40 ?J_39) ?I_38))) (= (select (select ?v_0 ?I_38) ?J_39) (select (select ?v_0 ?J_39) ?I_38))))))
(assert (forall ((?I_42 Int) (?J_43 Int) (?A_44 (Array Int (Array Int Real))) (?N_45 Int)) (let ((?v_0 (inv ?A_44))) (=> (and (and (and (and (>= ?I_42 0) (<= ?I_42 ?N_45)) (>= ?J_43 0)) (<= ?J_43 ?N_45)) (= (select (select ?A_44 ?I_42) ?J_43) (select (select ?A_44 ?J_43) ?I_42))) (= (select (select ?v_0 ?I_42) ?J_43) (select (select ?v_0 ?J_43) ?I_42))))))
(assert (forall ((?I0_46 Int) (?J0_47 Int) (?I_48 Int) (?J_49 Int) (?A_50 (Array Int (Array Int Real))) (?B_51 (Array Int (Array Int Real))) (?C_52 (Array Int (Array Int Real))) (?D_53 (Array Int (Array Int Real))) (?E_54 (Array Int (Array Int Real))) (?F_55 (Array Int (Array Int Real))) (?N_56 Int) (?M_57 Int)) (let ((?v_0 (tptp_madd ?A_50 (tptp_mmul ?B_51 (tptp_mmul (tptp_madd (tptp_mmul ?C_52 (tptp_mmul ?D_53 (trans ?C_52))) (tptp_mmul ?E_54 (tptp_mmul ?F_55 (trans ?E_54)))) (trans ?B_51)))))) (=> (and (and (and (and (and (and (and (and (and (and (>= ?I0_46 0) (<= ?I0_46 ?N_56)) (>= ?J0_47 0)) (<= ?J0_47 ?N_56)) (>= ?I_48 0)) (<= ?I_48 ?M_57)) (>= ?J_49 0)) (<= ?J_49 ?M_57)) (= (select (select ?D_53 ?I_48) ?J_49) (select (select ?D_53 ?J_49) ?I_48))) (= (select (select ?A_50 ?I0_46) ?J0_47) (select (select ?A_50 ?J0_47) ?I0_46))) (= (select (select ?F_55 ?I0_46) ?J0_47) (select (select ?F_55 ?J0_47) ?I0_46))) (= (select (select ?v_0 ?I0_46) ?J0_47) (select (select ?v_0 ?J0_47) ?I0_46))))))
(assert (forall ((?Body_58 Real)) (= (sum 0 (- 1) ?Body_58) 0.0)))
(assert (not (= def use)))
(assert (let ((?v_3 (and (and (and (and (and (and (and (and (= (select rho_defuse 0) use) (= (select rho_defuse 1) use)) (= (select rho_defuse 2) use)) (= (select sigma_defuse 0) use)) (= (select sigma_defuse 1) use)) (= (select sigma_defuse 2) use)) (= (select sigma_defuse 3) use)) (= (select sigma_defuse 4) use)) (= (select sigma_defuse 5) use))) (?v_19 (select u_defuse 0)) (?v_4 (= (select xinit_defuse 3) use)) (?v_5 (= (select xinit_defuse 4) use)) (?v_6 (= (select xinit_defuse 5) use)) (?v_7 (= (select xinit_mean_defuse 0) use)) (?v_8 (= (select xinit_mean_defuse 1) use)) (?v_9 (= (select xinit_mean_defuse 2) use)) (?v_10 (= (select xinit_mean_defuse 3) use)) (?v_11 (= (select xinit_mean_defuse 4) use)) (?v_12 (= (select xinit_mean_defuse 5) use)) (?v_13 (= (select xinit_noise_defuse 0) use)) (?v_14 (= (select xinit_noise_defuse 1) use)) (?v_15 (= (select xinit_noise_defuse 2) use)) (?v_16 (= (select xinit_noise_defuse 3) use)) (?v_17 (= (select xinit_noise_defuse 4) use)) (?v_18 (= (select xinit_noise_defuse 5) use)) (?v_26 (>= pv5 0)) (?v_27 (<= pv5 (- 999 1)))) (let ((?v_1 (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and ?v_3 (= (select ?v_19 0) use)) (= (select (select u_defuse 1) 0) use)) (= (select (select u_defuse 2) 0) use)) ?v_4) ?v_5) ?v_6) ?v_7) ?v_8) ?v_9) ?v_10) ?v_11) ?v_12) ?v_13) ?v_14) ?v_15) ?v_16) ?v_17) ?v_18) ?v_26) ?v_27)) (?v_2 (> pv5 0))) (let ((?v_0 (not ?v_2)) (?v_20 (store u_defuse 0 (store ?v_19 pv5 use)))) (let ((?v_21 (store ?v_20 1 (store (select ?v_20 1) pv5 use)))) (let ((?v_22 (store ?v_21 0 (store (select ?v_21 0) pv5 use)))) (let ((?v_23 (store ?v_22 2 (store (select ?v_22 2) pv5 use)))) (let ((?v_24 (store ?v_23 1 (store (select ?v_23 1) pv5 use)))) (let ((?v_25 (store ?v_24 2 (store (select ?v_24 2) pv5 use)))) (let ((?v_28 (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and ?v_3 ?v_4) ?v_5) ?v_6) ?v_7) ?v_8) ?v_9) ?v_10) ?v_11) ?v_12) ?v_13) ?v_14) ?v_15) ?v_16) ?v_17) ?v_18) (= (select (select ?v_25 0) 0) use)) (= (select (select ?v_25 1) 0) use)) (= (select (select ?v_25 2) 0) use)) ?v_26) ?v_27))) (not (=> (and ?v_1 (forall ((?A_59 Int) (?B_60 Int)) (=> (and (and (and (>= ?A_59 0) (>= ?B_60 0)) (<= ?A_59 2)) (<= ?B_60 (- pv5 1))) (and (= (select (select u_defuse ?A_59) ?B_60) use) (= (select (select z_defuse ?A_59) ?B_60) use))))) (and (=> ?v_0 (and (=> ?v_0 (and (and ?v_1 (forall ((?C_61 Int) (?D_62 Int)) (let ((?v_29 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_30 (store ?v_29 1 (store (select ?v_29 1) pv5 use)))) (=> (and (and (and (>= ?C_61 0) (>= ?D_62 0)) (<= ?C_61 2)) (<= ?D_62 pv5)) (and (= (select (select u_defuse ?C_61) ?D_62) use) (= (select (select (store ?v_30 2 (store (select ?v_30 2) pv5 use)) ?C_61) ?D_62) use))))))) (forall ((?E_63 Int) (?F_64 Int)) (let ((?v_31 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_32 (store ?v_31 1 (store (select ?v_31 1) pv5 use)))) (=> (and (and (and (>= ?E_63 0) (>= ?F_64 0)) (<= ?E_63 2)) (<= ?F_64 (- pv5 1))) (and (= (select (select u_defuse ?E_63) ?F_64) use) (= (select (select (store ?v_32 2 (store (select ?v_32 2) pv5 use)) ?E_63) ?F_64) use)))))))) (=> ?v_2 (and (and ?v_1 (forall ((?G_65 Int) (?H_66 Int)) (let ((?v_33 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_34 (store ?v_33 1 (store (select ?v_33 1) pv5 use)))) (=> (and (and (and (>= ?G_65 0) (>= ?H_66 0)) (<= ?G_65 2)) (<= ?H_66 pv5)) (and (= (select (select u_defuse ?G_65) ?H_66) use) (= (select (select (store ?v_34 2 (store (select ?v_34 2) pv5 use)) ?G_65) ?H_66) use))))))) (forall ((?I_67 Int) (?J_68 Int)) (let ((?v_35 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_36 (store ?v_35 1 (store (select ?v_35 1) pv5 use)))) (=> (and (and (and (>= ?I_67 0) (>= ?J_68 0)) (<= ?I_67 2)) (<= ?J_68 (- pv5 1))) (and (= (select (select u_defuse ?I_67) ?J_68) use) (= (select (select (store ?v_36 2 (store (select ?v_36 2) pv5 use)) ?I_67) ?J_68) use)))))))))) (=> ?v_2 (and (=> ?v_0 (and (and ?v_28 (forall ((?K_69 Int) (?L_70 Int)) (let ((?v_37 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_38 (store ?v_37 1 (store (select ?v_37 1) pv5 use)))) (=> (and (and (and (>= ?K_69 0) (>= ?L_70 0)) (<= ?K_69 2)) (<= ?L_70 pv5)) (and (= (select (select (store ?v_38 2 (store (select ?v_38 2) pv5 use)) ?K_69) ?L_70) use) (= (select (select ?v_25 ?K_69) ?L_70) use))))))) (forall ((?M_71 Int) (?N_72 Int)) (let ((?v_39 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_40 (store ?v_39 1 (store (select ?v_39 1) pv5 use)))) (=> (and (and (and (>= ?M_71 0) (>= ?N_72 0)) (<= ?M_71 2)) (<= ?N_72 (- pv5 1))) (and (= (select (select (store ?v_40 2 (store (select ?v_40 2) pv5 use)) ?M_71) ?N_72) use) (= (select (select ?v_25 ?M_71) ?N_72) use)))))))) (=> ?v_2 (and (and ?v_28 (forall ((?O_73 Int) (?P_74 Int)) (let ((?v_41 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_42 (store ?v_41 1 (store (select ?v_41 1) pv5 use)))) (=> (and (and (and (>= ?O_73 0) (>= ?P_74 0)) (<= ?O_73 2)) (<= ?P_74 pv5)) (and (= (select (select (store ?v_42 2 (store (select ?v_42 2) pv5 use)) ?O_73) ?P_74) use) (= (select (select ?v_25 ?O_73) ?P_74) use))))))) (forall ((?Q_75 Int) (?R_76 Int)) (let ((?v_43 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_44 (store ?v_43 1 (store (select ?v_43 1) pv5 use)))) (=> (and (and (and (>= ?Q_75 0) (>= ?R_76 0)) (<= ?Q_75 2)) (<= ?R_76 (- pv5 1))) (and (= (select (select (store ?v_44 2 (store (select ?v_44 2) pv5 use)) ?Q_75) ?R_76) use) (= (select (select ?v_25 ?Q_75) ?R_76) use)))))))))))))))))))))))
(check-sat)
(exit)
