(set-info :smt-lib-version 2.6)
(set-logic AUFLIRA)
(set-info :source |
NASA benchmarks from "Using Automated Theorem Provers to Certify Auto-generated
Aerospace Software", IJCAR 2004.  Translated from TPTP format by Yeting Ge and
Clark Barrett

|)
(set-info :category "industrial")
(set-info :status unknown)
(declare-fun def () Real)
(declare-fun pv23 () Int)
(declare-fun pv25 () Int)
(declare-fun pv33 () Int)
(declare-fun pv34 () Int)
(declare-fun pv5 () Int)
(declare-fun sigma () (Array Int Real))
(declare-fun use () Real)
(declare-fun xinit_defuse () (Array Int Real))
(declare-fun xinit_mean_defuse () (Array Int Real))
(declare-fun z_defuse () (Array Int (Array Int Real)))
(declare-fun uniform_int_rnd (Int Int) Int)
(declare-fun abs_ (Real) Real)
(declare-fun log (Real) Real)
(declare-fun exp (Real) Real)
(declare-fun cos (Real) Real)
(declare-fun sin (Real) Real)
(declare-fun sqrt (Real) Real)
(declare-fun divide (Real Real) Real)
(declare-fun cond (Int Real Real) Real)
(declare-fun tptp_term_equal (Real Real) Int)
(declare-fun tptp_term_equals (Real Real) Int)
(declare-fun tptp_term_and (Real Real) Int)
(declare-fun sum (Int Int Real) Real)
(declare-fun dim (Int Int) Int)
(declare-fun trans ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun inv ((Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_mmul ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_madd ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_msub ((Array Int (Array Int Real)) (Array Int (Array Int Real))) (Array Int (Array Int Real)))
(declare-fun tptp_const_array1 (Int Real) (Array Int Real))
(declare-fun tptp_const_array2 (Int Int Real) (Array Int (Array Int Real)))
(assert (forall ((?X_0 Int) (?C_1 Int)) (=> (>= ?X_0 0) (<= (uniform_int_rnd ?C_1 ?X_0) ?X_0))))
(assert (forall ((?X_2 Int) (?C_3 Int)) (=> (>= ?X_2 0) (>= (uniform_int_rnd ?C_3 ?X_2) 0))))
(assert (forall ((?I_4 Int) (?L_5 Int) (?U_6 Int) (?Val_7 Real)) (=> (and (<= ?L_5 ?I_4) (<= ?I_4 ?U_6)) (= (select (tptp_const_array1 (dim ?L_5 ?U_6) ?Val_7) ?I_4) ?Val_7))))
(assert (forall ((?I_8 Int) (?L1_9 Int) (?U1_10 Int) (?J_11 Int) (?L2_12 Int) (?U2_13 Int) (?Val_14 Real)) (=> (and (and (and (<= ?L1_9 ?I_8) (<= ?I_8 ?U1_10)) (<= ?L2_12 ?J_11)) (<= ?J_11 ?U2_13)) (= (select (select (tptp_const_array2 (dim ?L1_9 ?U1_10) (dim ?L2_12 ?U2_13) ?Val_14) ?I_8) ?J_11) ?Val_14))))
(assert (forall ((?I0_15 Int) (?J0_16 Int) (?A_17 (Array Int (Array Int Real))) (?B_18 (Array Int (Array Int Real))) (?N_19 Int)) (let ((?v_0 (tptp_mmul ?A_17 (tptp_mmul ?B_18 (trans ?A_17))))) (=> (and (and (and (and (>= ?I0_15 0) (<= ?I0_15 ?N_19)) (>= ?J0_16 0)) (<= ?J0_16 ?N_19)) (= (select (select ?B_18 ?I0_15) ?J0_16) (select (select ?B_18 ?J0_16) ?I0_15))) (= (select (select ?v_0 ?I0_15) ?J0_16) (select (select ?v_0 ?J0_16) ?I0_15))))))
(assert (forall ((?I0_20 Int) (?J0_21 Int) (?I_22 Int) (?J_23 Int) (?A_24 (Array Int (Array Int Real))) (?B_25 (Array Int (Array Int Real))) (?N_26 Int) (?M_27 Int)) (let ((?v_0 (tptp_mmul ?A_24 (tptp_mmul ?B_25 (trans ?A_24))))) (=> (and (and (and (and (and (and (and (and (>= ?I0_20 0) (<= ?I0_20 ?N_26)) (>= ?J0_21 0)) (<= ?J0_21 ?N_26)) (>= ?I_22 0)) (<= ?I_22 ?M_27)) (>= ?J_23 0)) (<= ?J_23 ?M_27)) (= (select (select ?B_25 ?I_22) ?J_23) (select (select ?B_25 ?J_23) ?I_22))) (= (select (select ?v_0 ?I0_20) ?J0_21) (select (select ?v_0 ?J0_21) ?I0_20))))))
(assert (forall ((?I_28 Int) (?J_29 Int) (?A_30 (Array Int (Array Int Real))) (?B_31 (Array Int (Array Int Real))) (?N_32 Int)) (let ((?v_0 (tptp_madd ?A_30 ?B_31))) (=> (and (and (and (and (and (>= ?I_28 0) (<= ?I_28 ?N_32)) (>= ?J_29 0)) (<= ?J_29 ?N_32)) (= (select (select ?A_30 ?I_28) ?J_29) (select (select ?A_30 ?J_29) ?I_28))) (= (select (select ?B_31 ?I_28) ?J_29) (select (select ?B_31 ?J_29) ?I_28))) (= (select (select ?v_0 ?I_28) ?J_29) (select (select ?v_0 ?J_29) ?I_28))))))
(assert (forall ((?I_33 Int) (?J_34 Int) (?A_35 (Array Int (Array Int Real))) (?B_36 (Array Int (Array Int Real))) (?N_37 Int)) (let ((?v_0 (tptp_msub ?A_35 ?B_36))) (=> (and (and (and (and (and (>= ?I_33 0) (<= ?I_33 ?N_37)) (>= ?J_34 0)) (<= ?J_34 ?N_37)) (= (select (select ?A_35 ?I_33) ?J_34) (select (select ?A_35 ?J_34) ?I_33))) (= (select (select ?B_36 ?I_33) ?J_34) (select (select ?B_36 ?J_34) ?I_33))) (= (select (select ?v_0 ?I_33) ?J_34) (select (select ?v_0 ?J_34) ?I_33))))))
(assert (forall ((?I_38 Int) (?J_39 Int) (?A_40 (Array Int (Array Int Real))) (?N_41 Int)) (let ((?v_0 (trans ?A_40))) (=> (and (and (and (and (>= ?I_38 0) (<= ?I_38 ?N_41)) (>= ?J_39 0)) (<= ?J_39 ?N_41)) (= (select (select ?A_40 ?I_38) ?J_39) (select (select ?A_40 ?J_39) ?I_38))) (= (select (select ?v_0 ?I_38) ?J_39) (select (select ?v_0 ?J_39) ?I_38))))))
(assert (forall ((?I_42 Int) (?J_43 Int) (?A_44 (Array Int (Array Int Real))) (?N_45 Int)) (let ((?v_0 (inv ?A_44))) (=> (and (and (and (and (>= ?I_42 0) (<= ?I_42 ?N_45)) (>= ?J_43 0)) (<= ?J_43 ?N_45)) (= (select (select ?A_44 ?I_42) ?J_43) (select (select ?A_44 ?J_43) ?I_42))) (= (select (select ?v_0 ?I_42) ?J_43) (select (select ?v_0 ?J_43) ?I_42))))))
(assert (forall ((?I0_46 Int) (?J0_47 Int) (?I_48 Int) (?J_49 Int) (?A_50 (Array Int (Array Int Real))) (?B_51 (Array Int (Array Int Real))) (?C_52 (Array Int (Array Int Real))) (?D_53 (Array Int (Array Int Real))) (?E_54 (Array Int (Array Int Real))) (?F_55 (Array Int (Array Int Real))) (?N_56 Int) (?M_57 Int)) (let ((?v_0 (tptp_madd ?A_50 (tptp_mmul ?B_51 (tptp_mmul (tptp_madd (tptp_mmul ?C_52 (tptp_mmul ?D_53 (trans ?C_52))) (tptp_mmul ?E_54 (tptp_mmul ?F_55 (trans ?E_54)))) (trans ?B_51)))))) (=> (and (and (and (and (and (and (and (and (and (and (>= ?I0_46 0) (<= ?I0_46 ?N_56)) (>= ?J0_47 0)) (<= ?J0_47 ?N_56)) (>= ?I_48 0)) (<= ?I_48 ?M_57)) (>= ?J_49 0)) (<= ?J_49 ?M_57)) (= (select (select ?D_53 ?I_48) ?J_49) (select (select ?D_53 ?J_49) ?I_48))) (= (select (select ?A_50 ?I0_46) ?J0_47) (select (select ?A_50 ?J0_47) ?I0_46))) (= (select (select ?F_55 ?I0_46) ?J0_47) (select (select ?F_55 ?J0_47) ?I0_46))) (= (select (select ?v_0 ?I0_46) ?J0_47) (select (select ?v_0 ?J0_47) ?I0_46))))))
(assert (forall ((?Body_58 Real)) (= (sum 0 (- 1) ?Body_58) 0.0)))
(assert (not (= def use)))
(assert (not (=> (and (>= (- 4 1) 0) (>= (- 1000 1) 0)) (forall ((?A_59 Real)) (=> (and (<= 0 7) (>= (- 1000 1) 0)) (forall ((?P4_60 Real)) (let ((?v_125 (- 4 1)) (?v_126 (- 1000 1)) (?v_118 (= (select (store (store (store (store xinit_defuse 0 use) 0 use) 0 use) 0 use) 0) use)) (?v_99 (= (select xinit_defuse 0) use))) (let ((?v_13 (and (and (and (and (and (and ?v_99 (= (select xinit_mean_defuse 0) use)) (= (select xinit_mean_defuse 1) use)) (= (select xinit_mean_defuse 2) use)) (= (select xinit_mean_defuse 3) use)) (= (select xinit_mean_defuse 4) use)) (= (select xinit_mean_defuse 5) use))) (?v_1 (dim 0 ?v_126))) (let ((?v_0 (tptp_const_array2 (dim 0 7) ?v_1 def))) (let ((?v_100 (= (select (select ?v_0 0) 0) use)) (?v_119 (select ?v_0 1))) (let ((?v_101 (= (select ?v_119 0) use)) (?v_18 (select ?v_0 2))) (let ((?v_102 (= (select ?v_18 0) use)) (?v_61 (select ?v_0 3))) (let ((?v_103 (= (select ?v_61 0) use)) (?v_104 (= (select (select ?v_0 4) 0) use)) (?v_105 (= (select (select ?v_0 5) 0) use)) (?v_106 (= (select (select ?v_0 6) 0) use)) (?v_107 (= (select (select ?v_0 7) 0) use)) (?v_2 (tptp_const_array2 (dim 0 ?v_125) ?v_1 def))) (let ((?v_109 (select ?v_2 0))) (let ((?v_14 (= (select ?v_109 0) use)) (?v_15 (= (select (select ?v_2 1) 0) use)) (?v_16 (= (select (select ?v_2 2) 0) use)) (?v_28 (select ?v_2 3))) (let ((?v_17 (= (select ?v_28 0) use))) (let ((?v_3 (and (and (and (and (and (and (and (and (and (and (and (and ?v_13 ?v_100) ?v_101) ?v_102) ?v_103) ?v_104) ?v_105) ?v_106) ?v_107) ?v_14) ?v_15) ?v_16) ?v_17)) (?v_25 (>= pv5 0))) (let ((?v_4 (and ?v_3 ?v_25)) (?v_5 (<= pv5 588))) (let ((?v_11 (and ?v_4 ?v_5)) (?v_7 (and ?v_4 (>= pv33 0))) (?v_6 (- 6 1))) (let ((?v_8 (<= pv33 ?v_6)) (?v_9 (= pv33 pv34))) (let ((?v_10 (and (and ?v_7 ?v_5) ?v_8)) (?v_26 (> pv5 0))) (let ((?v_12 (not ?v_26)) (?v_42 (and (and (and (and ?v_13 ?v_14) ?v_15) ?v_16) ?v_17)) (?v_19 (store ?v_0 2 (store ?v_18 pv5 use)))) (let ((?v_20 (store ?v_19 3 (store (select ?v_19 3) pv5 use)))) (let ((?v_21 (store ?v_20 5 (store (select ?v_20 5) pv5 use)))) (let ((?v_22 (store ?v_21 2 (store (select ?v_21 2) pv5 use)))) (let ((?v_23 (store ?v_22 3 (store (select ?v_22 3) pv5 use)))) (let ((?v_24 (store ?v_23 5 (store (select ?v_23 5) pv5 use)))) (let ((?v_33 (= (select (select ?v_24 0) 0) use)) (?v_34 (= (select (select ?v_24 1) 0) use)) (?v_35 (= (select (select ?v_24 2) 0) use)) (?v_36 (= (select (select ?v_24 3) 0) use)) (?v_37 (= (select (select ?v_24 4) 0) use)) (?v_38 (= (select (select ?v_24 5) 0) use)) (?v_39 (= (select (select ?v_24 6) 0) use)) (?v_40 (= (select (select ?v_24 7) 0) use))) (let ((?v_27 (and (and (and (and (and (and (and (and (and (and ?v_42 ?v_33) ?v_34) ?v_35) ?v_36) ?v_37) ?v_38) ?v_39) ?v_40) ?v_25) ?v_5)) (?v_29 (store ?v_2 3 (store ?v_28 pv5 use)))) (let ((?v_30 (store ?v_29 2 (store (select ?v_29 2) pv5 use)))) (let ((?v_31 (store ?v_30 1 (store (select ?v_30 1) pv5 use)))) (let ((?v_32 (store ?v_31 0 (store (select ?v_31 0) pv5 use)))) (let ((?v_51 (and (and (and (and ?v_13 (= (select (select ?v_32 0) 0) use)) (= (select (select ?v_32 1) 0) use)) (= (select (select ?v_32 2) 0) use)) (= (select (select ?v_32 3) 0) use)))) (let ((?v_41 (and (and (and (and (and (and (and (and (and (and ?v_51 ?v_33) ?v_34) ?v_35) ?v_36) ?v_37) ?v_38) ?v_39) ?v_40) ?v_25) ?v_5)) (?v_43 (store ?v_19 2 (store (select ?v_19 2) pv5 use)))) (let ((?v_44 (store ?v_43 2 (store (select ?v_43 2) pv5 use)))) (let ((?v_45 (store ?v_44 3 (store (select ?v_44 3) pv5 use)))) (let ((?v_46 (store ?v_45 5 (store (select ?v_45 5) pv5 use)))) (let ((?v_47 (store ?v_46 2 (store (select ?v_46 2) pv5 use)))) (let ((?v_48 (store ?v_47 3 (store (select ?v_47 3) pv5 use)))) (let ((?v_49 (store ?v_48 5 (store (select ?v_48 5) pv5 use)))) (let ((?v_52 (= (select (select ?v_49 0) 0) use)) (?v_53 (= (select (select ?v_49 1) 0) use)) (?v_54 (= (select (select ?v_49 2) 0) use)) (?v_55 (= (select (select ?v_49 3) 0) use)) (?v_56 (= (select (select ?v_49 4) 0) use)) (?v_57 (= (select (select ?v_49 5) 0) use)) (?v_58 (= (select (select ?v_49 6) 0) use)) (?v_59 (= (select (select ?v_49 7) 0) use))) (let ((?v_50 (and (and (and (and (and (and (and (and (and (and ?v_42 ?v_52) ?v_53) ?v_54) ?v_55) ?v_56) ?v_57) ?v_58) ?v_59) ?v_25) ?v_5)) (?v_60 (and (and (and (and (and (and (and (and (and (and ?v_51 ?v_52) ?v_53) ?v_54) ?v_55) ?v_56) ?v_57) ?v_58) ?v_59) ?v_25) ?v_5)) (?v_62 (store ?v_0 3 (store ?v_61 pv5 use)))) (let ((?v_63 (store ?v_62 1 (store (select ?v_62 1) pv5 use)))) (let ((?v_64 (store ?v_63 3 (store (select ?v_63 3) pv5 use)))) (let ((?v_65 (store ?v_64 1 (store (select ?v_64 1) pv5 use)))) (let ((?v_66 (store ?v_65 2 (store (select ?v_65 2) pv5 use)))) (let ((?v_67 (store ?v_66 3 (store (select ?v_66 3) pv5 use)))) (let ((?v_68 (store ?v_67 5 (store (select ?v_67 5) pv5 use)))) (let ((?v_69 (store ?v_68 2 (store (select ?v_68 2) pv5 use)))) (let ((?v_70 (store ?v_69 3 (store (select ?v_69 3) pv5 use)))) (let ((?v_71 (store ?v_70 5 (store (select ?v_70 5) pv5 use)))) (let ((?v_73 (= (select (select ?v_71 0) 0) use)) (?v_74 (= (select (select ?v_71 1) 0) use)) (?v_75 (= (select (select ?v_71 2) 0) use)) (?v_76 (= (select (select ?v_71 3) 0) use)) (?v_77 (= (select (select ?v_71 4) 0) use)) (?v_78 (= (select (select ?v_71 5) 0) use)) (?v_79 (= (select (select ?v_71 6) 0) use)) (?v_80 (= (select (select ?v_71 7) 0) use))) (let ((?v_72 (and (and (and (and (and (and (and (and (and (and ?v_42 ?v_73) ?v_74) ?v_75) ?v_76) ?v_77) ?v_78) ?v_79) ?v_80) ?v_25) ?v_5)) (?v_81 (and (and (and (and (and (and (and (and (and (and ?v_51 ?v_73) ?v_74) ?v_75) ?v_76) ?v_77) ?v_78) ?v_79) ?v_80) ?v_25) ?v_5)) (?v_82 (store ?v_66 2 (store (select ?v_66 2) pv5 use)))) (let ((?v_83 (store ?v_82 2 (store (select ?v_82 2) pv5 use)))) (let ((?v_84 (store ?v_83 3 (store (select ?v_83 3) pv5 use)))) (let ((?v_85 (store ?v_84 5 (store (select ?v_84 5) pv5 use)))) (let ((?v_86 (store ?v_85 2 (store (select ?v_85 2) pv5 use)))) (let ((?v_87 (store ?v_86 3 (store (select ?v_86 3) pv5 use)))) (let ((?v_88 (store ?v_87 5 (store (select ?v_87 5) pv5 use)))) (let ((?v_90 (= (select (select ?v_88 0) 0) use)) (?v_91 (= (select (select ?v_88 1) 0) use)) (?v_92 (= (select (select ?v_88 2) 0) use)) (?v_93 (= (select (select ?v_88 3) 0) use)) (?v_94 (= (select (select ?v_88 4) 0) use)) (?v_95 (= (select (select ?v_88 5) 0) use)) (?v_96 (= (select (select ?v_88 6) 0) use)) (?v_97 (= (select (select ?v_88 7) 0) use))) (let ((?v_89 (and (and (and (and (and (and (and (and (and (and ?v_42 ?v_90) ?v_91) ?v_92) ?v_93) ?v_94) ?v_95) ?v_96) ?v_97) ?v_25) ?v_5)) (?v_98 (and (and (and (and (and (and (and (and (and (and ?v_51 ?v_90) ?v_91) ?v_92) ?v_93) ?v_94) ?v_95) ?v_96) ?v_97) ?v_25) ?v_5)) (?v_108 (and (and (and (and (and (and (and (and ?v_99 ?v_100) ?v_101) ?v_102) ?v_103) ?v_104) ?v_105) ?v_106) ?v_107)) (?v_110 (store ?v_2 0 (store ?v_109 0 use)))) (let ((?v_111 (store ?v_110 1 (store (select ?v_110 1) 0 use)))) (let ((?v_112 (store ?v_111 2 (store (select ?v_111 2) 0 use)))) (let ((?v_113 (store ?v_112 3 (store (select ?v_112 3) 0 use))) (?v_114 (store ?v_0 2 (store ?v_18 0 use)))) (let ((?v_115 (store ?v_114 2 (store (select ?v_114 2) 0 use))) (?v_116 (and (and (and (and ?v_108 ?v_14) ?v_15) ?v_16) ?v_17)) (?v_117 (store (store (store (store (store (store xinit_mean_defuse 0 use) 1 use) 2 use) 3 use) 4 use) 5 use)) (?v_120 (store ?v_0 1 (store ?v_119 0 use)))) (let ((?v_121 (store ?v_120 3 (store (select ?v_120 3) 0 use)))) (let ((?v_122 (store ?v_121 1 (store (select ?v_121 1) 0 use)))) (let ((?v_123 (store ?v_122 3 (store (select ?v_122 3) 0 use))) (?v_124 (>= ?v_6 0))) (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (and (=> true ?v_118) (=> ?v_3 (and ?v_3 (forall ((?B_61 Int) (?C_62 Int)) (=> (and (and (and (>= ?B_61 0) (>= ?C_62 0)) (<= ?B_61 3)) (<= ?C_62 (- 0 1))) (and (and (= (select (select z_defuse ?B_61) ?C_62) use) (= (select (select ?v_0 ?B_61) ?C_62) use)) (= (select (select ?v_2 ?B_61) ?C_62) use))))))) (=> (and (and (and (and (and ?v_4 (>= pv23 0)) ?v_5) (<= pv23 ?v_6)) (forall ((?D_63 Int) (?E_64 Int)) (=> (and (and (and (>= ?D_63 0) (>= ?E_64 0)) (<= ?D_63 3)) (<= ?E_64 pv5)) (and (and (= (select (select z_defuse ?D_63) ?E_64) use) (= (select (select ?v_0 ?D_63) ?E_64) use)) (= (select (select ?v_2 ?D_63) ?E_64) use))))) (forall ((?F_65 Int) (?G_66 Int)) (=> (and (and (and (>= ?F_65 0) (>= ?G_66 0)) (<= ?F_65 3)) (<= ?G_66 (- pv5 1))) (and (and (= (select (select z_defuse ?F_65) ?G_66) use) (= (select (select ?v_0 ?F_65) ?G_66) use)) (= (select (select ?v_2 ?F_65) ?G_66) use))))) (and (and ?v_11 (forall ((?H_67 Int) (?I_68 Int)) (=> (and (and (and (>= ?H_67 0) (>= ?I_68 0)) (<= ?H_67 3)) (<= ?I_68 pv5)) (and (and (= (select (select z_defuse ?H_67) ?I_68) use) (= (select (select ?v_0 ?H_67) ?I_68) use)) (= (select (select ?v_2 ?H_67) ?I_68) use))))) (forall ((?J_69 Int) (?K_70 Int)) (=> (and (and (and (>= ?J_69 0) (>= ?K_70 0)) (<= ?J_69 3)) (<= ?K_70 (- pv5 1))) (and (and (= (select (select z_defuse ?J_69) ?K_70) use) (= (select (select ?v_0 ?J_69) ?K_70) use)) (= (select (select ?v_2 ?J_69) ?K_70) use))))))) (=> (and (and (and (and (and ?v_7 (>= pv34 0)) ?v_5) ?v_8) (<= pv34 ?v_6)) (forall ((?L_71 Int) (?M_72 Int)) (=> (and (and (and (>= ?L_71 0) (>= ?M_72 0)) (<= ?L_71 3)) (<= ?M_72 (- pv5 1))) (and (and (= (select (select z_defuse ?L_71) ?M_72) use) (= (select (select ?v_0 ?L_71) ?M_72) use)) (= (select (select ?v_2 ?L_71) ?M_72) use))))) (and (=> (not ?v_9) (and ?v_10 (forall ((?N_73 Int) (?O_74 Int)) (=> (and (and (and (>= ?N_73 0) (>= ?O_74 0)) (<= ?N_73 3)) (<= ?O_74 (- pv5 1))) (and (and (= (select (select z_defuse ?N_73) ?O_74) use) (= (select (select ?v_0 ?N_73) ?O_74) use)) (= (select (select ?v_2 ?N_73) ?O_74) use)))))) (=> ?v_9 (and ?v_10 (forall ((?P_75 Int) (?Q_76 Int)) (=> (and (and (and (>= ?P_75 0) (>= ?Q_76 0)) (<= ?P_75 3)) (<= ?Q_76 (- pv5 1))) (and (and (= (select (select z_defuse ?P_75) ?Q_76) use) (= (select (select ?v_0 ?P_75) ?Q_76) use)) (= (select (select ?v_2 ?P_75) ?Q_76) use))))))))) (=> (and ?v_10 (forall ((?R_77 Int) (?S_78 Int)) (=> (and (and (and (>= ?R_77 0) (>= ?S_78 0)) (<= ?R_77 3)) (<= ?S_78 (- pv5 1))) (and (and (= (select (select z_defuse ?R_77) ?S_78) use) (= (select (select ?v_0 ?R_77) ?S_78) use)) (= (select (select ?v_2 ?R_77) ?S_78) use))))) (and ?v_10 (forall ((?T_79 Int) (?U_80 Int)) (=> (and (and (and (>= ?T_79 0) (>= ?U_80 0)) (<= ?T_79 3)) (<= ?U_80 (- pv5 1))) (and (and (= (select (select z_defuse ?T_79) ?U_80) use) (= (select (select ?v_0 ?T_79) ?U_80) use)) (= (select (select ?v_2 ?T_79) ?U_80) use))))))) (=> (and ?v_10 (forall ((?V_81 Int) (?W_82 Int)) (=> (and (and (and (>= ?V_81 0) (>= ?W_82 0)) (<= ?V_81 3)) (<= ?W_82 (- pv5 1))) (and (and (= (select (select z_defuse ?V_81) ?W_82) use) (= (select (select ?v_0 ?V_81) ?W_82) use)) (= (select (select ?v_2 ?V_81) ?W_82) use))))) (and ?v_11 (forall ((?X_83 Int) (?Y_84 Int)) (=> (and (and (and (>= ?X_83 0) (>= ?Y_84 0)) (<= ?X_83 3)) (<= ?Y_84 (- pv5 1))) (and (and (= (select (select z_defuse ?X_83) ?Y_84) use) (= (select (select ?v_0 ?X_83) ?Y_84) use)) (= (select (select ?v_2 ?X_83) ?Y_84) use))))))) (=> (and (and ?v_11 (forall ((?Z_85 Int) (?A1_86 Int)) (=> (and (and (and (>= ?Z_85 0) (>= ?A1_86 0)) (<= ?Z_85 3)) (<= ?A1_86 pv5)) (and (and (= (select (select z_defuse ?Z_85) ?A1_86) use) (= (select (select ?v_0 ?Z_85) ?A1_86) use)) (= (select (select ?v_2 ?Z_85) ?A1_86) use))))) (forall ((?B1_87 Int) (?C1_88 Int)) (=> (and (and (and (>= ?B1_87 0) (>= ?C1_88 0)) (<= ?B1_87 3)) (<= ?C1_88 (- pv5 1))) (and (and (= (select (select z_defuse ?B1_87) ?C1_88) use) (= (select (select ?v_0 ?B1_87) ?C1_88) use)) (= (select (select ?v_2 ?B1_87) ?C1_88) use))))) (and (and ?v_11 (forall ((?D1_89 Int) (?E1_90 Int)) (=> (and (and (and (>= ?D1_89 0) (>= ?E1_90 0)) (<= ?D1_89 3)) (<= ?E1_90 pv5)) (and (and (= (select (select z_defuse ?D1_89) ?E1_90) use) (= (select (select ?v_0 ?D1_89) ?E1_90) use)) (= (select (select ?v_2 ?D1_89) ?E1_90) use))))) (forall ((?F1_91 Int) (?G1_92 Int)) (=> (and (and (and (>= ?F1_91 0) (>= ?G1_92 0)) (<= ?F1_91 3)) (<= ?G1_92 (- pv5 1))) (and (and (= (select (select z_defuse ?F1_91) ?G1_92) use) (= (select (select ?v_0 ?F1_91) ?G1_92) use)) (= (select (select ?v_2 ?F1_91) ?G1_92) use))))))) (=> (and (and ?v_11 (forall ((?H1_93 Int) (?I1_94 Int)) (=> (and (and (and (>= ?H1_93 0) (>= ?I1_94 0)) (<= ?H1_93 3)) (<= ?I1_94 pv5)) (and (and (= (select (select z_defuse ?H1_93) ?I1_94) use) (= (select (select ?v_0 ?H1_93) ?I1_94) use)) (= (select (select ?v_2 ?H1_93) ?I1_94) use))))) (forall ((?J1_95 Int) (?K1_96 Int)) (=> (and (and (and (>= ?J1_95 0) (>= ?K1_96 0)) (<= ?J1_95 3)) (<= ?K1_96 (- pv5 1))) (and (and (= (select (select z_defuse ?J1_95) ?K1_96) use) (= (select (select ?v_0 ?J1_95) ?K1_96) use)) (= (select (select ?v_2 ?J1_95) ?K1_96) use))))) (and ?v_3 (forall ((?L1_97 Int) (?M1_98 Int)) (=> (and (and (and (>= ?L1_97 0) (>= ?M1_98 0)) (<= ?L1_97 3)) (<= ?M1_98 (- (+ 1 pv5) 1))) (and (and (= (select (select z_defuse ?L1_97) ?M1_98) use) (= (select (select ?v_0 ?L1_97) ?M1_98) use)) (= (select (select ?v_2 ?L1_97) ?M1_98) use))))))) (=> (and ?v_11 (forall ((?N1_99 Int) (?O1_100 Int)) (=> (and (and (and (>= ?N1_99 0) (>= ?O1_100 0)) (<= ?N1_99 3)) (<= ?O1_100 (- pv5 1))) (and (and (= (select (select z_defuse ?N1_99) ?O1_100) use) (= (select (select ?v_0 ?N1_99) ?O1_100) use)) (= (select (select ?v_2 ?N1_99) ?O1_100) use))))) (and ?v_11 (forall ((?P1_101 Int) (?Q1_102 Int)) (=> (and (and (and (>= ?P1_101 0) (>= ?Q1_102 0)) (<= ?P1_101 3)) (<= ?Q1_102 (- pv5 1))) (and (and (= (select (select z_defuse ?P1_101) ?Q1_102) use) (= (select (select ?v_0 ?P1_101) ?Q1_102) use)) (= (select (select ?v_2 ?P1_101) ?Q1_102) use))))))) (=> (and ?v_11 (forall ((?R1_103 Int) (?S1_104 Int)) (=> (and (and (and (>= ?R1_103 0) (>= ?S1_104 0)) (<= ?R1_103 3)) (<= ?S1_104 (- pv5 1))) (and (and (= (select (select z_defuse ?R1_103) ?S1_104) use) (= (select (select ?v_0 ?R1_103) ?S1_104) use)) (= (select (select ?v_2 ?R1_103) ?S1_104) use))))) (and (=> ?v_12 (and (=> ?v_12 (and (=> ?v_12 (and (=> ?v_12 (and (and ?v_27 (forall ((?T1_105 Int) (?U1_106 Int)) (let ((?v_127 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_128 (store ?v_127 1 (store (select ?v_127 1) pv5 use)))) (let ((?v_129 (store ?v_128 2 (store (select ?v_128 2) pv5 use)))) (=> (and (and (and (>= ?T1_105 0) (>= ?U1_106 0)) (<= ?T1_105 3)) (<= ?U1_106 pv5)) (and (and (= (select (select ?v_2 ?T1_105) ?U1_106) use) (= (select (select (store ?v_129 3 (store (select ?v_129 3) pv5 use)) ?T1_105) ?U1_106) use)) (= (select (select ?v_24 ?T1_105) ?U1_106) use)))))))) (forall ((?V1_107 Int) (?W1_108 Int)) (let ((?v_130 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_131 (store ?v_130 1 (store (select ?v_130 1) pv5 use)))) (let ((?v_132 (store ?v_131 2 (store (select ?v_131 2) pv5 use)))) (=> (and (and (and (>= ?V1_107 0) (>= ?W1_108 0)) (<= ?V1_107 3)) (<= ?W1_108 (- pv5 1))) (and (and (= (select (select ?v_2 ?V1_107) ?W1_108) use) (= (select (select (store ?v_132 3 (store (select ?v_132 3) pv5 use)) ?V1_107) ?W1_108) use)) (= (select (select ?v_24 ?V1_107) ?W1_108) use))))))))) (=> ?v_26 (and (and ?v_27 (forall ((?X1_109 Int) (?Y1_110 Int)) (let ((?v_133 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_134 (store ?v_133 1 (store (select ?v_133 1) pv5 use)))) (let ((?v_135 (store ?v_134 2 (store (select ?v_134 2) pv5 use)))) (=> (and (and (and (>= ?X1_109 0) (>= ?Y1_110 0)) (<= ?X1_109 3)) (<= ?Y1_110 pv5)) (and (and (= (select (select ?v_2 ?X1_109) ?Y1_110) use) (= (select (select (store ?v_135 3 (store (select ?v_135 3) pv5 use)) ?X1_109) ?Y1_110) use)) (= (select (select ?v_24 ?X1_109) ?Y1_110) use)))))))) (forall ((?Z1_111 Int) (?A2_112 Int)) (let ((?v_136 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_137 (store ?v_136 1 (store (select ?v_136 1) pv5 use)))) (let ((?v_138 (store ?v_137 2 (store (select ?v_137 2) pv5 use)))) (=> (and (and (and (>= ?Z1_111 0) (>= ?A2_112 0)) (<= ?Z1_111 3)) (<= ?A2_112 (- pv5 1))) (and (and (= (select (select ?v_2 ?Z1_111) ?A2_112) use) (= (select (select (store ?v_138 3 (store (select ?v_138 3) pv5 use)) ?Z1_111) ?A2_112) use)) (= (select (select ?v_24 ?Z1_111) ?A2_112) use))))))))))) (=> ?v_26 (and (=> ?v_12 (and (and ?v_41 (forall ((?B2_113 Int) (?C2_114 Int)) (let ((?v_139 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_140 (store ?v_139 1 (store (select ?v_139 1) pv5 use)))) (let ((?v_141 (store ?v_140 2 (store (select ?v_140 2) pv5 use)))) (=> (and (and (and (>= ?B2_113 0) (>= ?C2_114 0)) (<= ?B2_113 3)) (<= ?C2_114 pv5)) (and (and (= (select (select (store ?v_141 3 (store (select ?v_141 3) pv5 use)) ?B2_113) ?C2_114) use) (= (select (select ?v_32 ?B2_113) ?C2_114) use)) (= (select (select ?v_24 ?B2_113) ?C2_114) use)))))))) (forall ((?D2_115 Int) (?E2_116 Int)) (let ((?v_142 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_143 (store ?v_142 1 (store (select ?v_142 1) pv5 use)))) (let ((?v_144 (store ?v_143 2 (store (select ?v_143 2) pv5 use)))) (=> (and (and (and (>= ?D2_115 0) (>= ?E2_116 0)) (<= ?D2_115 3)) (<= ?E2_116 (- pv5 1))) (and (and (= (select (select (store ?v_144 3 (store (select ?v_144 3) pv5 use)) ?D2_115) ?E2_116) use) (= (select (select ?v_32 ?D2_115) ?E2_116) use)) (= (select (select ?v_24 ?D2_115) ?E2_116) use))))))))) (=> ?v_26 (and (and ?v_41 (forall ((?F2_117 Int) (?G2_118 Int)) (let ((?v_145 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_146 (store ?v_145 1 (store (select ?v_145 1) pv5 use)))) (let ((?v_147 (store ?v_146 2 (store (select ?v_146 2) pv5 use)))) (=> (and (and (and (>= ?F2_117 0) (>= ?G2_118 0)) (<= ?F2_117 3)) (<= ?G2_118 pv5)) (and (and (= (select (select (store ?v_147 3 (store (select ?v_147 3) pv5 use)) ?F2_117) ?G2_118) use) (= (select (select ?v_32 ?F2_117) ?G2_118) use)) (= (select (select ?v_24 ?F2_117) ?G2_118) use)))))))) (forall ((?H2_119 Int) (?I2_120 Int)) (let ((?v_148 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_149 (store ?v_148 1 (store (select ?v_148 1) pv5 use)))) (let ((?v_150 (store ?v_149 2 (store (select ?v_149 2) pv5 use)))) (=> (and (and (and (>= ?H2_119 0) (>= ?I2_120 0)) (<= ?H2_119 3)) (<= ?I2_120 (- pv5 1))) (and (and (= (select (select (store ?v_150 3 (store (select ?v_150 3) pv5 use)) ?H2_119) ?I2_120) use) (= (select (select ?v_32 ?H2_119) ?I2_120) use)) (= (select (select ?v_24 ?H2_119) ?I2_120) use))))))))))))) (=> ?v_26 (and (=> ?v_12 (and (=> ?v_12 (and (and ?v_50 (forall ((?J2_121 Int) (?K2_122 Int)) (let ((?v_151 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_152 (store ?v_151 1 (store (select ?v_151 1) pv5 use)))) (let ((?v_153 (store ?v_152 2 (store (select ?v_152 2) pv5 use)))) (=> (and (and (and (>= ?J2_121 0) (>= ?K2_122 0)) (<= ?J2_121 3)) (<= ?K2_122 pv5)) (and (and (= (select (select ?v_2 ?J2_121) ?K2_122) use) (= (select (select (store ?v_153 3 (store (select ?v_153 3) pv5 use)) ?J2_121) ?K2_122) use)) (= (select (select ?v_49 ?J2_121) ?K2_122) use)))))))) (forall ((?L2_123 Int) (?M2_124 Int)) (let ((?v_154 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_155 (store ?v_154 1 (store (select ?v_154 1) pv5 use)))) (let ((?v_156 (store ?v_155 2 (store (select ?v_155 2) pv5 use)))) (=> (and (and (and (>= ?L2_123 0) (>= ?M2_124 0)) (<= ?L2_123 3)) (<= ?M2_124 (- pv5 1))) (and (and (= (select (select ?v_2 ?L2_123) ?M2_124) use) (= (select (select (store ?v_156 3 (store (select ?v_156 3) pv5 use)) ?L2_123) ?M2_124) use)) (= (select (select ?v_49 ?L2_123) ?M2_124) use))))))))) (=> ?v_26 (and (and ?v_50 (forall ((?N2_125 Int) (?O2_126 Int)) (let ((?v_157 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_158 (store ?v_157 1 (store (select ?v_157 1) pv5 use)))) (let ((?v_159 (store ?v_158 2 (store (select ?v_158 2) pv5 use)))) (=> (and (and (and (>= ?N2_125 0) (>= ?O2_126 0)) (<= ?N2_125 3)) (<= ?O2_126 pv5)) (and (and (= (select (select ?v_2 ?N2_125) ?O2_126) use) (= (select (select (store ?v_159 3 (store (select ?v_159 3) pv5 use)) ?N2_125) ?O2_126) use)) (= (select (select ?v_49 ?N2_125) ?O2_126) use)))))))) (forall ((?P2_127 Int) (?Q2_128 Int)) (let ((?v_160 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_161 (store ?v_160 1 (store (select ?v_160 1) pv5 use)))) (let ((?v_162 (store ?v_161 2 (store (select ?v_161 2) pv5 use)))) (=> (and (and (and (>= ?P2_127 0) (>= ?Q2_128 0)) (<= ?P2_127 3)) (<= ?Q2_128 (- pv5 1))) (and (and (= (select (select ?v_2 ?P2_127) ?Q2_128) use) (= (select (select (store ?v_162 3 (store (select ?v_162 3) pv5 use)) ?P2_127) ?Q2_128) use)) (= (select (select ?v_49 ?P2_127) ?Q2_128) use))))))))))) (=> ?v_26 (and (=> ?v_12 (and (and ?v_60 (forall ((?R2_129 Int) (?S2_130 Int)) (let ((?v_163 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_164 (store ?v_163 1 (store (select ?v_163 1) pv5 use)))) (let ((?v_165 (store ?v_164 2 (store (select ?v_164 2) pv5 use)))) (=> (and (and (and (>= ?R2_129 0) (>= ?S2_130 0)) (<= ?R2_129 3)) (<= ?S2_130 pv5)) (and (and (= (select (select (store ?v_165 3 (store (select ?v_165 3) pv5 use)) ?R2_129) ?S2_130) use) (= (select (select ?v_32 ?R2_129) ?S2_130) use)) (= (select (select ?v_49 ?R2_129) ?S2_130) use)))))))) (forall ((?T2_131 Int) (?U2_132 Int)) (let ((?v_166 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_167 (store ?v_166 1 (store (select ?v_166 1) pv5 use)))) (let ((?v_168 (store ?v_167 2 (store (select ?v_167 2) pv5 use)))) (=> (and (and (and (>= ?T2_131 0) (>= ?U2_132 0)) (<= ?T2_131 3)) (<= ?U2_132 (- pv5 1))) (and (and (= (select (select (store ?v_168 3 (store (select ?v_168 3) pv5 use)) ?T2_131) ?U2_132) use) (= (select (select ?v_32 ?T2_131) ?U2_132) use)) (= (select (select ?v_49 ?T2_131) ?U2_132) use))))))))) (=> ?v_26 (and (and ?v_60 (forall ((?V2_133 Int) (?W2_134 Int)) (let ((?v_169 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_170 (store ?v_169 1 (store (select ?v_169 1) pv5 use)))) (let ((?v_171 (store ?v_170 2 (store (select ?v_170 2) pv5 use)))) (=> (and (and (and (>= ?V2_133 0) (>= ?W2_134 0)) (<= ?V2_133 3)) (<= ?W2_134 pv5)) (and (and (= (select (select (store ?v_171 3 (store (select ?v_171 3) pv5 use)) ?V2_133) ?W2_134) use) (= (select (select ?v_32 ?V2_133) ?W2_134) use)) (= (select (select ?v_49 ?V2_133) ?W2_134) use)))))))) (forall ((?X2_135 Int) (?Y2_136 Int)) (let ((?v_172 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_173 (store ?v_172 1 (store (select ?v_172 1) pv5 use)))) (let ((?v_174 (store ?v_173 2 (store (select ?v_173 2) pv5 use)))) (=> (and (and (and (>= ?X2_135 0) (>= ?Y2_136 0)) (<= ?X2_135 3)) (<= ?Y2_136 (- pv5 1))) (and (and (= (select (select (store ?v_174 3 (store (select ?v_174 3) pv5 use)) ?X2_135) ?Y2_136) use) (= (select (select ?v_32 ?X2_135) ?Y2_136) use)) (= (select (select ?v_49 ?X2_135) ?Y2_136) use))))))))))))))) (=> ?v_26 (and (=> ?v_12 (and (=> ?v_12 (and (=> ?v_12 (and (and ?v_72 (forall ((?Z2_137 Int) (?A3_138 Int)) (let ((?v_175 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_176 (store ?v_175 1 (store (select ?v_175 1) pv5 use)))) (let ((?v_177 (store ?v_176 2 (store (select ?v_176 2) pv5 use)))) (=> (and (and (and (>= ?Z2_137 0) (>= ?A3_138 0)) (<= ?Z2_137 3)) (<= ?A3_138 pv5)) (and (and (= (select (select ?v_2 ?Z2_137) ?A3_138) use) (= (select (select (store ?v_177 3 (store (select ?v_177 3) pv5 use)) ?Z2_137) ?A3_138) use)) (= (select (select ?v_71 ?Z2_137) ?A3_138) use)))))))) (forall ((?B3_139 Int) (?C3_140 Int)) (let ((?v_178 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_179 (store ?v_178 1 (store (select ?v_178 1) pv5 use)))) (let ((?v_180 (store ?v_179 2 (store (select ?v_179 2) pv5 use)))) (=> (and (and (and (>= ?B3_139 0) (>= ?C3_140 0)) (<= ?B3_139 3)) (<= ?C3_140 (- pv5 1))) (and (and (= (select (select ?v_2 ?B3_139) ?C3_140) use) (= (select (select (store ?v_180 3 (store (select ?v_180 3) pv5 use)) ?B3_139) ?C3_140) use)) (= (select (select ?v_71 ?B3_139) ?C3_140) use))))))))) (=> ?v_26 (and (and ?v_72 (forall ((?D3_141 Int) (?E3_142 Int)) (let ((?v_181 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_182 (store ?v_181 1 (store (select ?v_181 1) pv5 use)))) (let ((?v_183 (store ?v_182 2 (store (select ?v_182 2) pv5 use)))) (=> (and (and (and (>= ?D3_141 0) (>= ?E3_142 0)) (<= ?D3_141 3)) (<= ?E3_142 pv5)) (and (and (= (select (select ?v_2 ?D3_141) ?E3_142) use) (= (select (select (store ?v_183 3 (store (select ?v_183 3) pv5 use)) ?D3_141) ?E3_142) use)) (= (select (select ?v_71 ?D3_141) ?E3_142) use)))))))) (forall ((?F3_143 Int) (?G3_144 Int)) (let ((?v_184 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_185 (store ?v_184 1 (store (select ?v_184 1) pv5 use)))) (let ((?v_186 (store ?v_185 2 (store (select ?v_185 2) pv5 use)))) (=> (and (and (and (>= ?F3_143 0) (>= ?G3_144 0)) (<= ?F3_143 3)) (<= ?G3_144 (- pv5 1))) (and (and (= (select (select ?v_2 ?F3_143) ?G3_144) use) (= (select (select (store ?v_186 3 (store (select ?v_186 3) pv5 use)) ?F3_143) ?G3_144) use)) (= (select (select ?v_71 ?F3_143) ?G3_144) use))))))))))) (=> ?v_26 (and (=> ?v_12 (and (and ?v_81 (forall ((?H3_145 Int) (?I3_146 Int)) (let ((?v_187 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_188 (store ?v_187 1 (store (select ?v_187 1) pv5 use)))) (let ((?v_189 (store ?v_188 2 (store (select ?v_188 2) pv5 use)))) (=> (and (and (and (>= ?H3_145 0) (>= ?I3_146 0)) (<= ?H3_145 3)) (<= ?I3_146 pv5)) (and (and (= (select (select (store ?v_189 3 (store (select ?v_189 3) pv5 use)) ?H3_145) ?I3_146) use) (= (select (select ?v_32 ?H3_145) ?I3_146) use)) (= (select (select ?v_71 ?H3_145) ?I3_146) use)))))))) (forall ((?J3_147 Int) (?K3_148 Int)) (let ((?v_190 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_191 (store ?v_190 1 (store (select ?v_190 1) pv5 use)))) (let ((?v_192 (store ?v_191 2 (store (select ?v_191 2) pv5 use)))) (=> (and (and (and (>= ?J3_147 0) (>= ?K3_148 0)) (<= ?J3_147 3)) (<= ?K3_148 (- pv5 1))) (and (and (= (select (select (store ?v_192 3 (store (select ?v_192 3) pv5 use)) ?J3_147) ?K3_148) use) (= (select (select ?v_32 ?J3_147) ?K3_148) use)) (= (select (select ?v_71 ?J3_147) ?K3_148) use))))))))) (=> ?v_26 (and (and ?v_81 (forall ((?L3_149 Int) (?M3_150 Int)) (let ((?v_193 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_194 (store ?v_193 1 (store (select ?v_193 1) pv5 use)))) (let ((?v_195 (store ?v_194 2 (store (select ?v_194 2) pv5 use)))) (=> (and (and (and (>= ?L3_149 0) (>= ?M3_150 0)) (<= ?L3_149 3)) (<= ?M3_150 pv5)) (and (and (= (select (select (store ?v_195 3 (store (select ?v_195 3) pv5 use)) ?L3_149) ?M3_150) use) (= (select (select ?v_32 ?L3_149) ?M3_150) use)) (= (select (select ?v_71 ?L3_149) ?M3_150) use)))))))) (forall ((?N3_151 Int) (?O3_152 Int)) (let ((?v_196 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_197 (store ?v_196 1 (store (select ?v_196 1) pv5 use)))) (let ((?v_198 (store ?v_197 2 (store (select ?v_197 2) pv5 use)))) (=> (and (and (and (>= ?N3_151 0) (>= ?O3_152 0)) (<= ?N3_151 3)) (<= ?O3_152 (- pv5 1))) (and (and (= (select (select (store ?v_198 3 (store (select ?v_198 3) pv5 use)) ?N3_151) ?O3_152) use) (= (select (select ?v_32 ?N3_151) ?O3_152) use)) (= (select (select ?v_71 ?N3_151) ?O3_152) use))))))))))))) (=> ?v_26 (and (=> ?v_12 (and (=> ?v_12 (and (and ?v_89 (forall ((?P3_153 Int) (?Q3_154 Int)) (let ((?v_199 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_200 (store ?v_199 1 (store (select ?v_199 1) pv5 use)))) (let ((?v_201 (store ?v_200 2 (store (select ?v_200 2) pv5 use)))) (=> (and (and (and (>= ?P3_153 0) (>= ?Q3_154 0)) (<= ?P3_153 3)) (<= ?Q3_154 pv5)) (and (and (= (select (select ?v_2 ?P3_153) ?Q3_154) use) (= (select (select (store ?v_201 3 (store (select ?v_201 3) pv5 use)) ?P3_153) ?Q3_154) use)) (= (select (select ?v_88 ?P3_153) ?Q3_154) use)))))))) (forall ((?R3_155 Int) (?S3_156 Int)) (let ((?v_202 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_203 (store ?v_202 1 (store (select ?v_202 1) pv5 use)))) (let ((?v_204 (store ?v_203 2 (store (select ?v_203 2) pv5 use)))) (=> (and (and (and (>= ?R3_155 0) (>= ?S3_156 0)) (<= ?R3_155 3)) (<= ?S3_156 (- pv5 1))) (and (and (= (select (select ?v_2 ?R3_155) ?S3_156) use) (= (select (select (store ?v_204 3 (store (select ?v_204 3) pv5 use)) ?R3_155) ?S3_156) use)) (= (select (select ?v_88 ?R3_155) ?S3_156) use))))))))) (=> ?v_26 (and (and ?v_89 (forall ((?T3_157 Int) (?U3_158 Int)) (let ((?v_205 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_206 (store ?v_205 1 (store (select ?v_205 1) pv5 use)))) (let ((?v_207 (store ?v_206 2 (store (select ?v_206 2) pv5 use)))) (=> (and (and (and (>= ?T3_157 0) (>= ?U3_158 0)) (<= ?T3_157 3)) (<= ?U3_158 pv5)) (and (and (= (select (select ?v_2 ?T3_157) ?U3_158) use) (= (select (select (store ?v_207 3 (store (select ?v_207 3) pv5 use)) ?T3_157) ?U3_158) use)) (= (select (select ?v_88 ?T3_157) ?U3_158) use)))))))) (forall ((?V3_159 Int) (?W3_160 Int)) (let ((?v_208 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_209 (store ?v_208 1 (store (select ?v_208 1) pv5 use)))) (let ((?v_210 (store ?v_209 2 (store (select ?v_209 2) pv5 use)))) (=> (and (and (and (>= ?V3_159 0) (>= ?W3_160 0)) (<= ?V3_159 3)) (<= ?W3_160 (- pv5 1))) (and (and (= (select (select ?v_2 ?V3_159) ?W3_160) use) (= (select (select (store ?v_210 3 (store (select ?v_210 3) pv5 use)) ?V3_159) ?W3_160) use)) (= (select (select ?v_88 ?V3_159) ?W3_160) use))))))))))) (=> ?v_26 (and (=> ?v_12 (and (and ?v_98 (forall ((?X3_161 Int) (?Y3_162 Int)) (let ((?v_211 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_212 (store ?v_211 1 (store (select ?v_211 1) pv5 use)))) (let ((?v_213 (store ?v_212 2 (store (select ?v_212 2) pv5 use)))) (=> (and (and (and (>= ?X3_161 0) (>= ?Y3_162 0)) (<= ?X3_161 3)) (<= ?Y3_162 pv5)) (and (and (= (select (select (store ?v_213 3 (store (select ?v_213 3) pv5 use)) ?X3_161) ?Y3_162) use) (= (select (select ?v_32 ?X3_161) ?Y3_162) use)) (= (select (select ?v_88 ?X3_161) ?Y3_162) use)))))))) (forall ((?Z3_163 Int) (?A4_164 Int)) (let ((?v_214 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_215 (store ?v_214 1 (store (select ?v_214 1) pv5 use)))) (let ((?v_216 (store ?v_215 2 (store (select ?v_215 2) pv5 use)))) (=> (and (and (and (>= ?Z3_163 0) (>= ?A4_164 0)) (<= ?Z3_163 3)) (<= ?A4_164 (- pv5 1))) (and (and (= (select (select (store ?v_216 3 (store (select ?v_216 3) pv5 use)) ?Z3_163) ?A4_164) use) (= (select (select ?v_32 ?Z3_163) ?A4_164) use)) (= (select (select ?v_88 ?Z3_163) ?A4_164) use))))))))) (=> ?v_26 (and (and ?v_98 (forall ((?B4_165 Int) (?C4_166 Int)) (let ((?v_217 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_218 (store ?v_217 1 (store (select ?v_217 1) pv5 use)))) (let ((?v_219 (store ?v_218 2 (store (select ?v_218 2) pv5 use)))) (=> (and (and (and (>= ?B4_165 0) (>= ?C4_166 0)) (<= ?B4_165 3)) (<= ?C4_166 pv5)) (and (and (= (select (select (store ?v_219 3 (store (select ?v_219 3) pv5 use)) ?B4_165) ?C4_166) use) (= (select (select ?v_32 ?B4_165) ?C4_166) use)) (= (select (select ?v_88 ?B4_165) ?C4_166) use)))))))) (forall ((?D4_167 Int) (?E4_168 Int)) (let ((?v_220 (store z_defuse 0 (store (select z_defuse 0) pv5 use)))) (let ((?v_221 (store ?v_220 1 (store (select ?v_220 1) pv5 use)))) (let ((?v_222 (store ?v_221 2 (store (select ?v_221 2) pv5 use)))) (=> (and (and (and (>= ?D4_167 0) (>= ?E4_168 0)) (<= ?D4_167 3)) (<= ?E4_168 (- pv5 1))) (and (and (= (select (select (store ?v_222 3 (store (select ?v_222 3) pv5 use)) ?D4_167) ?E4_168) use) (= (select (select ?v_32 ?D4_167) ?E4_168) use)) (= (select (select ?v_88 ?D4_167) ?E4_168) use)))))))))))))))))) (=> (and ?v_3 (forall ((?F4_169 Int) (?G4_170 Int)) (=> (and (and (and (>= ?F4_169 0) (>= ?G4_170 0)) (<= ?F4_169 3)) (<= ?G4_170 (- (+ 1 588) 1))) (and (and (= (select (select z_defuse ?F4_169) ?G4_170) use) (= (select (select ?v_0 ?F4_169) ?G4_170) use)) (= (select (select ?v_2 ?F4_169) ?G4_170) use))))) (and (and (and (and (and (= def use) (forall ((?H4_171 Int) (?I4_172 Int)) (=> (and (and (and (>= ?H4_171 0) (>= ?I4_172 0)) (<= ?H4_171 ?v_125)) (<= ?I4_172 ?v_126)) (= (select (select ?v_2 ?H4_171) ?I4_172) use)))) (forall ((?J4_173 Int) (?K4_174 Int)) (=> (and (and (and (>= ?J4_173 0) (>= ?K4_174 0)) (<= ?J4_173 7)) (<= ?K4_174 ?v_126)) (= (select (select ?v_0 ?J4_173) ?K4_174) use)))) (forall ((?L4_175 Int)) (=> (and (>= ?L4_175 0) (<= ?L4_175 ?v_6)) (= (select xinit_defuse ?L4_175) use)))) (forall ((?M4_176 Int)) (=> (and (>= ?M4_176 0) (<= ?M4_176 ?v_6)) (= (select xinit_mean_defuse ?M4_176) use)))) (forall ((?N4_177 Int) (?O4_178 Int)) (=> (and (and (and (>= ?N4_177 0) (>= ?O4_178 0)) (<= ?N4_177 ?v_125)) (<= ?O4_178 ?v_126)) (= (select (select z_defuse ?N4_177) ?O4_178) use)))))) (=> ?v_108 (and (and (and (and ?v_108 (= (select (select ?v_113 0) 0) use)) (= (select (select ?v_113 1) 0) use)) (= (select (select ?v_113 2) 0) use)) (= (select (select ?v_113 3) 0) use)))) (=> ?v_108 (and (and (and (and (and (and (and (and ?v_99 (= (select (select ?v_115 0) 0) use)) (= (select (select ?v_115 1) 0) use)) (= (select (select ?v_115 2) 0) use)) (= (select (select ?v_115 3) 0) use)) (= (select (select ?v_115 4) 0) use)) (= (select (select ?v_115 5) 0) use)) (= (select (select ?v_115 6) 0) use)) (= (select (select ?v_115 7) 0) use)))) (=> ?v_116 (and (and (and (and (and (and ?v_116 (= (select ?v_117 0) use)) (= (select ?v_117 1) use)) (= (select ?v_117 2) use)) (= (select ?v_117 3) use)) (= (select ?v_117 4) use)) (= (select ?v_117 5) use)))) (=> (and (>= pv25 0) (<= pv25 ?v_6)) (=> (<= 0.0 (select sigma pv25)) true))) (=> ?v_99 (and (and (and (and (and (and (and (and ?v_118 (= (select (select ?v_123 0) 0) use)) (= (select (select ?v_123 1) 0) use)) (= (select (select ?v_123 2) 0) use)) (= (select (select ?v_123 3) 0) use)) (= (select (select ?v_123 4) 0) use)) (= (select (select ?v_123 5) 0) use)) (= (select (select ?v_123 6) 0) use)) (= (select (select ?v_123 7) 0) use)))) (=> ?v_124 (=> ?v_124 (=> (and (>= ?v_125 0) (>= ?v_126 0)) true))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
